Welcome to HyperSnap DX 5

Welcome to HyperSnap DX version 5

We've made many new and exciting changes to HyperSnap-DX version 5. Not only that, but we've completely re-engineered the help system to use the more powerful HTML help technology present in the latest versions of Windows. Because of this, and for many other reasons, we think version 5 is our best HyperSnap-DX release yet.

New users of the product should start reading the first few help topics. They'll cover the most basic features of how to use the program. Advanced HyperSnap-DX pros will want to see What's new in version 5 before they get down to work.

How to use this help file

This help file uses several small graphics to help you notice important bits of text. These include the numbered text or sometimes the [image] marks the spot graphic to illustrate procedural steps. Next is the "note" [image] to illustrate an idea or group of ideas about a subject. Then there's the tip [image] graphic to advise you of helpful pointers. Another is the "important" [image] graphic to make you aware of crucial, perhaps even critical information that—if ignored—may cause the program to work in a way that you might not expect, or even malfunction and cause data loss. Finally there's the little red book [image] which is just to mark the beginning of a section, or a collection of small topics that belong together. It's a "grab bag" sort of graphic, used when none of the others applied.

This help file also uses some special Table of contents graphics that will alert you to the type of topic linked to that entry. Click the name of the topic type to see an explanation of each type.

  • Standard topic:
    A topic with this icon is a "regular topic", such as the one you're reading now. This is the most common type of topic. This topic requires no Internet connection or any other special consideration.

  • Internet topic:
    A topic with this icon requires an Internet connection. If you're not connected and you click that entry the help system will attempt to connect you, either by loading dial-up networking (if you use that), or by executing whatever other type of technology your system uses to connect to the Internet.
    If you don't want your connection to "engage," or you've used a firewall to block the help system from Internet access, these topics won't work. There are just a few of these topic types, but they're important. Inside the body of the documentation are other links to the web and E-mail that also require a live connection.

  • Critical topic:
    A topic with this icon means the subject is critical and covers subject material relating to the core functionality of the program, such as how to repair a damaged installation or remove the program. These are the most rare topics within the Table of contents.

  • Popup topic:
    A topic with this icon will bring up a "child" window over the main HyperSnap-DX help window. This leaves the contents of the main window "untouched," so that (for example) you can read additional help about an important subject without losing your place in the larger topic.


Getting started with HyperSnap DX

Getting started with HyperSnap-DX 5

First, if you're new to HyperSnap-DX 5, we'd like to thank you for taking a look at it. HyperSnap-DX 5's industry-standard installation program should have created several icons in your Start menu. These will include an icon to launch the program, and another icon to launch this file (the program's main help file) so you can read it outside of using the program itself.

You can always ask for help:

There's always context-sensitive help available from within the program. Press F1 while the mouse is active over any highlighted menu item. Or press F1 while any important dialog is open, and a small help window will appear that explains the feature (or features) of that menu item (or function).

Some dialogs have additional detailed help you access by using the '?' button. It's always in the upper right-hand corner of the dialog boxes that support this feature. Click the ? button and then click the interface control about which you'd like to read help.

If you're reading this file, you've probably had a successful installation. If you've installed the program but it will not load or doesn't operate correctly, please see the User support help section. It contains instructions on reporting problems and how to do that.

We've tested the program carefully, so we're confident that it will operate properly. However it's possible some combination of issues may cause a "bug" to appear. If this happens, don't suffer in silence, please contact us so we can help solve your problem.

Before E-mailing us, though, try the following:

Clean things up first.

    1. Re-start Windows. Does the program still fail? It probably was not installed all the way through.

    2. Don't load any other programs (especially utilities that "track" your system's configuration, or anti-virus scanners, they can sometimes cause problems with installation programs).

    3. From that clean re-boot re-run the HyperSnap-DX 5 installation. Carefully watch that it reports a successful conclusion. There should now be an entry in Control Panel Add/Remove Programs for it. If that's not there, then setup did not work properly, so tell us about it.

    4. If you've got that entry in Control Panel, Add/Remove Programs, and the icons setup creates, try the program again. Sometimes a file we must update may be in current use by the system. If it's already "active" setup won't be able to replace it, perhaps causing problems. You may have to re-start once for a clean system, install, and re-start again if you had a lot of "busy" software running the first time you tried.

If you encounter a problem, see the help section User support about how to reach us and get the help you need.


Where to buy HyperSnap-DX

Where to license HyperSnap-DX 5

Visit our home page at http://www.hyperionics.com, then select Buy Now link. We offer many different ways to order, including secure web forms, phone, fax and mail ordering, and processing of corporate purchase orders.

However, since the ordering information is likely to change in the future, and the copy of HyperSnap-DX 5 you downloaded may be several months, or even years old—we require you to access our web page for the most current ordering information. That way you don't mail in a form with the wrong price, or to the wrong address, and so forth.

International (non-US) users can also find a complete list of licensed Hyperionics software vendors all around the world on our web page, too.


Other Hyperionics products

In addition to this fine product, we make several other powerful utilities. Drop by our web pages where you can download the latest versions of all of our programs or those programs that meet our standards so that we're confident enough in them to offer them for sale through our site.

At the time this file was written, here's a list of software we either have authored or sell on our site.

HyperCam™ - another quality product from Hyperionics. HyperCam allows you to record the action from your Windows screen as an AVI movie. You can include cursor movements and sound, and take advantage of many other options. HyperCam was designed with the same attention to quality and detail as was HyperSnap-DX.

FileBox eXtender™ - this product enhances the standard Windows file dialogs in a totally new, elegant and non-intrusive way—by placing small icon buttons in the title bars of these windows. The buttons provide easy one click access to your favorite folders and documents as well as to a list of recently used folders.


File menu help

New - CTRL+N - creates a new image document.

Open - CTRL+O - opens an existing image document.

Close - closes an opened document. If you've changed it but not saved it, you'll be asked if you wish to save your changes. If you've made a capture, but have not altered it, the capture will be discarded silently with no request to save it, unless you somehow edited the image.

Save As - CTRL+S - saves an image to a specified file name. You're presented with several options here that vary, based on the file type you select. These include the color bit depth, whether or not the file is to support transparency, and so forth. You can set the defaults for this box by defining each and then clicking on the "Save settings" box. That can save time later, when you may be doing heavy, repetitive work with many captures.

Upload to FTP Server - this slick feature lets you upload the current image to an FTP server to which you have "write" access. It will bring up the FTP server dialog, which contains several important settings. If you'll be going to use this feature, you should read the help available from the link below prior to trying to use it.

Acquire - connects to a compatible scanner or other image acquisition device and retrieves images from the device. You must have a Twain-compatible image acquisition source for this to be available. This menu item will load the software used by your device, and the resultant scans (or image downloads, for example from a digital camera) will appear in HyperSnap-DX 5's application workspace.

Select Source - this item lets you choose from available compatible scanning or image generation sources connected to your system. When you select Acquire, above, that controls the acquisition of images of the device chosen here.

  • If you only have one device, this function will only offer one selection.

  • If you have multiple image creation devices, such as both a camera and a flatbed scanner, you can change the "active" device used by HyperSnap-DX 5 by selecting it here. Print - CTRL+P - prints a document to your active printer. The printout will use the page setup options that you define in the Page setup dialog, discussed below.

Print Preview - displays the document on the screen as it would appear when printed, including proper proportioning, headers and footers, and other page-layout features.

Page Setup - selects page printing options. HyperSnap-DX 5 has extremely powerful page setup options. These include the standard items such as determining the paper size you want to use (make sure the printer is loaded with the same paper as you specify here) and advanced items such as reversing the black and white content during the printing process.

Printer picking:

This menu item (and its corresponding toolbar button) is where you'll select the printer you want the program to use, if you have more than one printing device. Your default printer may be a black and white laser, but you may have a color photo type printer that you'd prefer HyperSnap-DX to use.

Send by Email... - you can tell Windows to send the current image (which you'll be asked to save if you have not) to another party via Email. Obviously you must have Email for this to work.

During this process, a dialog will appear that lets you choose the file name to use, the file format to use, and other options. The functions here are similar to those you use during file saving operations, and should already be familiar to you. To speed transmission of E-mailed images, you might want to send highly-compressible image formats such as JPG, which can be very small but still look quite good. Formats such as BMP are often large, and if you have a slow E-mail connection, may take a long time to transmit.

Email settings:

These must be properly established for this function to work, mainly relating to MAPI functions. Should this menu item fail, the cause may be that your system doesn't have the correct E-mail components installed.

Sometimes installing Outlook Express (which comes with most Windows versions) will repair this common error.

Users of other E-mail products should check their outbound protocol and server settings and see if they are MAPI-compliant in the event they get an error message when attempting this function.

If you do not have a default E-mail client established, this menu item will not work properly.

Set as Wallpaper - this lets you choose to set the current image as your Windows wallpaper. Before you can set an image as your system wallpaper, you must first save it as a Windows format bitmap, the exception to this being Windows XP which will automatically translate JPG files into wallpaper.

Exit - exits HyperSnap-DX 5. You'll be prompted to save a changed image if you have not already done so. Any changes you've made to background color, foreground color, highlight color, and other tool settings are saved automatically when you exit.

  • The last instance of HyperSnap-DX to exit establishes your configuration, so make sure all other instances are closed if you're changing things and want them to "stick" between sessions.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Edit menu help

Undo - ALT+BACKSPACE - reverses previous editing operation. You can do this repeatedly, within the limits of the program's Undo buffer. This "un-does" the last operation you performed, and then will reverse previous operations in the reverse order that they were performed, only If you've performed more than one change to the image. For example, if you adjust the color and don't like the result, immediately select this to "go back" to the previous version that existed prior to the color adjustment.

Redo - re-performs the previously un-done action. You can toggle the state of this and Undo back and forth to examine the last change you've made to a file as a way of judging if you like the effect.

Cut - SHIFT+DELETE - this "cuts" the selected region to the Windows clipboard. You must mark a region with the Select Area tool, it's the dotted box on the Painting tools palette. The area you cut will be "blanked out" with the background color you define in the Capture settings tabs or by using the Background color selector from the Painting tools palette. The default color for backgrounds and cutout regions is white.

Copy - CTRL+C - copies a marked region's data from the document to the clipboard, or if you've not marked a region, it copies the entire file's contents from the document into the clipboard.

Paste - CTRL+V - pastes data from the clipboard into the current document's workspace. You can move it by dragging it, but once you've stopped dragging and chosen another tool or moved to "view only" mode, the pasted material will become "glued" permanently on top of the previous image. (You can always Undo a paste using the Undo function.)

Paste as New Image - SHIFT+INSERT - if the clipboard contents are from a graphical source, they'll be pasted into HyperSnap-DX 5's application workspace as a new image (which you can then process and save using the program's features). If you've changed the currently-opened image but have not saved your changes, you will be prompted to do that first.

Copy Format - this function chooses which type of format to copy from the current image into the clipboard. Altering this advanced setting allows you to improve how well the data appears under certain circumstances. Generally only very advanced users will need to alter these settings in most cases. You may select what exact format type you want to be copied to the clipboard. These include device dependent bitmap, device independent bitmap or both. And you can change the color resolution of the image copied to clipboard. Finally, you can determine if you want this window minimized after copying is complete.


View menu help

Full Screen - CTRL+PGDN - displays the current document using your full screen, hiding all other programs and HyperSnap-DX 5's interface.

Previous File - PGUP - loads the previous image file of the same type as currently displayed image (e.g. BMP, GIF, JPEG) in the current directory into HyperSnap-DX 5's workspace. This function (with the Next file function) gives you a quick way of jumping back and forth to examine files within a directory.

Next File - PGDN - loads the next image file of the same type as currently displayed image (e.g. BMP, GIF, JPEG) in the current directory into HyperSnap-DX 5's workspace. This function (with the Previous file function) gives you a quick way of jumping back and forth to examine files within a directory.

Think about it...

In a way, the previous two functions are like a big-window "preview" function, letting you quickly see the files within even a very large directory by hitting Page down and Page up to go forward and backward, respectively.

It's very easy to quickly scan through a working image directory to find the file you want using these two functions.

Toolbar - shows or hides the toolbar. Note that if you hide the toolbar, you will lose one-click access to certain features.

Status Bar - shows or hides the status bar. The status bar provides important information while you work, such as the function of menu items as you scroll through them, and certain values of the current image in the right-hand panes of the bar.

These panes will change to reflect the mouse coordinates as you move them over the image, making it possible to mark precise locations on your image should you desire this.

Drawing Tools - shows or hides the drawing tools palette. If you aren't drawing on your captures, and have limited screen real estate (such as with a system running at 640 X 480 resolution), you may wish to hide these tools.

The drawing tools are used to edit a capture (or a loaded image). To see what each tool does, hold your mouse over each icon on the drawing tool palette and a short description of that tool will appear, explaining what that tool does.

Customize - this function lets you set many aspects of the HyperSnap-DX 5 user interface to work in the ways you want it to. For example, you can define which toolbar buttons are shown, add new buttons from the available functions, customize menus by re-arranging them, hiding or changing items, customize the keyboard shortcuts and establish the overall look and feel of the toolbars and menus.

Because these features are so powerful, we've set up their own help section. For more information see Customizing HyperSnap's user interface topic.


Capture menu help

If you need help about the Capture settings tab, there's an entire section of this file dedicated to that complex dialog. This section covers the remaining menu items on that menu. Hot keys for each function appear to the right of the menu item (just as on the menu itself). If you don't change the program's Hot keys (see the Keyboard tab) those listed here won't change.

Full Screen - CTRL+SHIFT+F - capture the image of the entire desktop and all applications visible on it. This is basically like the Print screen function that's built into Windows itself.

Virtual Desktop - CTRL+SHIFT+V - capture the desktop, including those on multiple monitors or in regions currently not visible that are provided by video drivers with "enhanced" desktops. Such captures are impossible with the built-in Print screen function in Windows, which only captures the current desktop, not the entire (even invisible) regions that may be scrolled off to the sides, top, or bottom, or on other monitors altogether.

Window or Control - CTRL+SHIFT+W - as you move your mouse, a blinking frame will appear around the target object. You can capture an entire window or just a predefined area within a window such as a control or button.

  1. Move to the window you want to capture.

  2. Click with your left mouse button to select and capture the region around which the blinking frame surrounds.

  3. Click your right mouse button to abort this function.

Button - CTRL+SHIFT+B - this function will capture a button, including toolbar buttons in many applications, most buttons on web pages etc. You may use it in 3 different ways:

  1. Select Capture/Button from the menu or corresponding toolbar button (if you customized a toolbar to have this function).

  2. After a short delay the cursor will change to a + symbol. Move it over the button you want to capture and click the left mouse button.

  3. Wait for a short while until the capture finishes and the HyperSnap-DX window reappears. This will capture a button in it's natural "resting" state, as if no mouse cursor was over it.

Or...

  1. Move your mouse cursor over the button you want to capture, and press your pre-selected hot key combination to activate Button capture. (By default, if you didn't change it, it's CTRL+SHIFT+B).

  2. This will capture a button in its highlighted, or "active" state, as if the mouse cursor was over it. Note that some buttons do not change appearance when you move the mouse cursor over them. Some perform what's called a "flyover" change, and may alter their color, font, and so forth.

Or...

  1. To capture a button depressed, move the mouse cursor over it, press and hold down the left mouse button, then press the hot key or key combination to initiate button capture.

  2. Note that now you'd need to press the hot keys with only one hand, so it may be wise to reassign the button capture hot key to be just one key, not the default CTRL+SHIFT+B combination. For example you can briefly make it just the F8 function key. You may reassign hot key under the Options menu.

Active Window - CTRL+SHIFT+A - capture only the "topmost" window, or the window that currently has focus. This is similar to the ALT+Print screen function that's built into Windows.

Active Window without Frame - CTRL+SHIFT+C - capture the "topmost" window, but do not capture its window frame, just the portion of the window inside of the frame. Great for grabbing the contents of a window without such things as toolbars, menus, and so forth. For example you can grab a terminal screen from an on-line session (or web browser) without getting the button bar or status bar.

Region - CTRL+SHIFT+ R - when clicked, a large cross cursor + will appear.

  1. Click using your left mouse button to indicate where you want to start the capture area, and then release it.

  2. Drag the outline to enclose the area you want to capture, and click the mouse button again. The size (in pixels) of the capture will be shown within the area.

  3. Click the left mouse button to complete the capture.

Free Hand - CTRL+SHIFT+H - this type of capture allows you to freely draw a bounding area (non-rectangular) around any part of the screen that you wish to capture. When you engage this mode, the cursor will change to crosshairs and you'll see a magnified preview of what you're capturing. Draw around the area you wish to capture and then press ENTER or right-click and select "Finish Capture" form the popup menu. You may also click close to the starting point to finish Free Hand Capture.

The capture will then appear inside HyperSnap-DX's window, with the area outside of your bounding region filled with the pre-defined background color you set on the Drawing Tools palette.

Pan Last Region - CTRL+SHIFT+P - you can capture a region the same size as before, but from any part of the screen. In effect, this function is like taking your previously defined region box and allowing you to "slide" it around the screen to choose another same-size area.

Using frames?

If you're fitting various captures into specific-sized frames in a document (using just one example to illustrate the usefulness of Pan...) this technique will make that work extremely easy. Each capture will be the exact same proportions as the previous region capture, only in a different location.

Multi-region capture - CTRL+SHIFT+M - this is an advanced form of capture, perhaps the program's most powerful. It allows you to grab multiple regions of the screen, with the unwanted space filled with a background color. See the Advanced tutorial about this for a comprehensive walk-through on how to use this feature.

Mouse Cursor Only - This function will capture mouse cursor (pointer) only, drawn on any background color selected in the drawing toolbar. It works in 2 ways: if selected from the menu or toolbar, it will wait for about 3 seconds for you to position the cursor where you want it (so that it has the shape needed). Otherwise, if selected by pressing a hot key (which must be first defined under Options/Configure Hot Keys menu), it will capture the current cursor instantly.

Repeat Last Capture - F11 - this function repeats the last capture (including all settings and ranges) exactly as it was executed. Great for tracking a specific window that you want to track over time without repeatedly selecting it, etc. By selecting this multiple times or repeatedly pressing its hot key, you can grab the same region, window, or control over and over to display program progress, repeated terminal screens, or anything that changes within the same area or type of capture.

Extended Active Window - CTRL+SHIFT+X - this function is available only when running on Windows XP or newer. It captures the last active window, but before capturing it, prompts you how big you want to make this window first. You may specify any size you want, optionally even a size much bigger than the screen. Note that this will work only for resizable windows, or those windows which you may also resize with your mouse.

Use this function to grab a web browser window that shows the entire web page, even if it would be 4000 pixels high, or a spreadsheet table, even if you'd have to make the window 5000 pixels wide to fit it. The resulting capture may be quite large, though—and may consume a lot of RAM if sent to the clipboard.

Enable Special Capture - This dialog enables the special capture function to snap images from full screen games that use DirectX or Glide drivers, or from some video players that play in hardware overlays and can not be captured otherwise. For more information, see DirectX or Glide Capture (for computer games) or Video Player Capture.

Capture Settings - loads the configuration tabs that allow you to define the options for capturing, making possible (for example) rapid repeat capturing with auto renaming, and other advanced features. The Capture settings tabs have their own entire help chapters, due to their many powerful features.


Image menu help

Crop - CTRL+R - once you've captured or opened an image, you can crop it within HyperSnap-DX. Click using your left mouse button to indicate where you want to start the capture area, and then release it. Drag the outline to enclose the area you want to capture, and click the mouse button again. The size (in pixels) of the capture will be shown within the area.

Cut-out strip - cuts out either a horizontal or vertical strip from a middle of an image, and joins remaining parts.

Change Resolution - the image resolution, usually expressed in number of dots per inch (DPI), affects the size of an image when it is printed or inserted into other documents (for example into an MS Word document). If you change the resolution to a higher value, each pixel will become effectively smaller, so the whole image, when printed or inserted into some document, will appear smaller as well.

Choose the value you want to use for both horizontal and vertical resolution in the dialog that appears. If you select different values for the two, your image will become squished or stretched (which may be what you desire, you can use this as an effect) when you print it or paste into another program. In general, a resolution that's evenly divisible into or by that of the final intended display device will produce the best results.

Scale - you can resize the image using the dialog that appears when you select this item. From that dialog you can choose to resize via a percentage calculation, or by directly manipulating the pixel count of the image. Drag the percentage slider control left to make the image smaller, or right to make the image larger. Your changes are reflected within the image in HyperSnap-DX 5's application workspace.

Type in the desired pixel values for width and height if you would prefer that method, and click Apply to see the values applied to the current image.

You can set the image to the size of a selection rectangle, too, if you've made a selection prior to opening this dialog.

Auto Trim - CTRL+T - HyperSnap-DX 5 will examine the image and trim "blank space" from around the image. This is handy for removing unwanted white space from outside of the borders of a target image's contents. If you find it doesn't perform the desired trim, select Undo before performing any other functions to restore the previous result.

Stamps... - this loads a powerful feature where you can create and apply image (or text) "stamps" to your captures. You can set these to be applied automatically (for example, putting a copyright notice onto every game screen capture if you're a game author and are posting captures on your site), or manually.

The Stamps tool dialog has its own special help section. To read about the Stamps dialog, click here or choose it from the Table of Contents window to the left.

Methods of application:

The functions from here forward on the Image menu will operate on either the entire image—or, if you have selected a region—just on that selected region. If you apply these functions to a selected region, the tool will perform its function on the selection and then apply it back to the document.

Any "empty" space generated by the tool (such as a rotation) will be filled with the previously-defined background color. In this way you can rotate something in the within an image, or mirror something within an image, and so forth.

Mirror - this menu item has two sub-items: Horizontal Mirror and Vertical Mirror. When either is applied, the image changes into a "reversed" image, as if a reflecting surface was placed either horizontally or vertically, per your selection.

  • The Undo command (Edit / Undo or Control-Z) can reverse this effect.

Rotate - this menu has four sub-items: 90 deg. Right, 90 deg. Left, Flip (upside down) and Any Angle.

The Rotate - Any Angle item rotates the image by any angle. You may enter the angle as a positive or negative number in the range of -360 to 360 degrees. You can use the slider to rotate the image and immediately observe the effect in the preview display.

Angle of the dangle:

If the angle you enter isn't a multiple of 90 degrees, some background around the image must be added in order to fill the available space and make the image rectangular again. You can choose the color of this background with the Select Background Color button on the dialog as well as the background selector tool on the painting tools palette (on the toolbar) or on the Capture settings tabs.

  • The Undo command (Edit / Undo or Control-Z) can reverse this effect.

Shear - this function acts to "slant" the image along various axis points, as if you were rotating a picture on a canvas along the various planes. You can enter a direct value for this in degrees, or drag the slider to apply a dynamic value to the image. You can force the image to "lean" along a strictly horizontal axis by checking the horizontal box.

The effect here is as if you were rotating a standing canvas either toward you or away from you on a table top. If you un-check this box, the image's "canvas" will rotate on both vertical and horizontal dimensions, altering both the complete dimensionality of the image.

It's got to be a square, sorry.

Because the image will no longer be rectilinear, you'll need to select a background value to fill the space left when the original is modified. Choose this with the background color button on the dialog.

The default for this color (used for all fill functions) is set on the Capture settings tabs, but you can change it here.

Mosaic - this function applies a special effect to the image that makes it appear to be made of tiles. You can define the size of the "tiles" in pixels (they are always square tiles) by typing in a value or by scrubbing the slider back and forth.

The larger the tile size, the greater the distortion applied to the original image's appearance. The smaller the tile size, the less distortion and the more recognizable the image will be. Very large tile sizes will essentially blur the image totally so it's no longer recognizable. Low tile size settings can resemble those "hide the witness" videos used on television shows.

Emboss - you can give the image the appearance of being 3-dimensional by applying this special effect. First select the originating direction for the simulated relief. Then select the apparent depth of the relief in pixels.

Embossing tips.

The deeper the relief, the more the image will appear to distort from the original, as if you had wrapped the a photograph of an object over a 3D model of the object itself. The effect varies greatly depending on the quality and nature of the original image.

Flatter images with lesser contrasts will show a smaller effect, images with moderate contrasts will show the most realistic effects.

High-contrast images may look the most distorted when this effect is applied. Experiment with the settings on this function, it can achieve some very interesting special effects.

Sharpen or Blur - This function sharpens or blurs (softens) your image. It may be sometimes used after resizing an image smaller, to enhance a little bit the clarity of text or other small detail.

Shadow - this function will add what looks like a 3D drop shadow to selected areas of your captures. It has several methods of operation, working either automatically using your preferences established within the Shadow dialog each time you capture, or manually, being applied around a selection.

Using the tools on the dialog, you can define shadow size, the darkness of the inner shadow (umbra), the shadow diffusion, and whether this is added automatically to your captures. Because it's powerful, it has its own help section, accessed via the button below or via the main Table of contents section inside the ...important dialogs book.

Frame - HyperSnap-DX can apply frames around (or onto) your images. These can improve your images, such as preparing them for inclusion into digital photo albums or just for fun. The Frame tool is easy to use and has a number of features that let you control how it looks. As is usually the case, experimenting with the tool is the best way to learn how it works and get the best "feel" for it. The frame can be auto-applied to every captured image, if desired, and can be made in virtually any color your system supports.

The frame preview window will give you a good idea as to how your frame will appear.

Note that if no image window is open when you open the frame tool, you're just setting the properties for frames applied from that point forward (and some options within the tool will be disabled, such as applying the frame to a selected portion of the image).

When you're finished setting the various frame properties, click OK to apply the frame either to the selected part of your image, to the image's outer margin, or to all captured images from that point on (depending on which options you checked).


Color menu help

HyperSnap 5 - Color menu help

Color Resolution - using this dialog you can change the color "depth" of the active image. For some applications you may want to reduce the color depth or increase it to allow the inclusion of additional color information or make certain special effects operations look better. Possible values are from 1 (monochrome, a depth of either black or white) up to 32 bit, which contains every possible color plus a plane for transparency.

You can effect how an image that is reduced to a level below "optimum" is dithered (which means colors "close to the original" are approximated by certain pixel changes). There are several possible dithering options from which you can choose here, and the final result will vary significantly based on the original image, its original color depth, and patterns within it.

Black and White - converts the current image to a black and white image. You can enter a black level between 0 and 100. A value of 0 means a white image, a value of 100 means a black image. You can drag the slider back and forth instead of manually entering a value if you prefer. This way you also get a preview of your changes in real-time.

The change to your image is reflected in the preview window provided on the dialog.

Halftone - applies a halftone screen (similar to shooting a screen for monochromatic printing) to the active image. You can change the angle of the screen (how it is applied across the image) by moving the slider control or entering a value into the angle box.

You may have to experiment with the screen angle to get the desired results, and every image accepts half-toning differently based on its complexity and type of content. Images with very fine line content, light colored text, or plenty of diagonal lines often do not halftone well.

Gray Scale - converts the image to grayscale, which is akin to a "black and white" photograph. The image's chromatic data is converted to values of gray. You may want to do this, for example, to print a color image on a laser printer that supports grayscale printing.

HyperSnap-DX 5's conversion may provide better results than the printer driver's engine when sending color images to a grayscale laser. This varies by printer driver an other issues.

Color Correction - adjusts the colors of the whole image or selected, using the following 5 controls: brightness, contrast, hue, saturation and gamma correction.

Invert Black and White - this function reverses the "polarity" of black and white content in the image. If your image doesn't contain black or white components (for example it's solid colors with neither black or white) this function will have no effect.

Invert Colors - you can turn positive images (such as scans of photographs) into reversal color, and you can turn negative images (such as scans of camera negatives) into positive images by toggling their state here.

Substitute Colors - This dialog lets you pick colors and then replacement values to use to overwrite the original values. The dialog is easy to use, and if you need to replace colors in an image, you can be up and running in just a few moments. You Add a color to replace, then using the Old color boxes on the bottom left, enter a value—or use the color picker—to choose the color you want changed. Then using the New Color boxes, enter manually (or use the picker) select a color to use to overwrite the old color.

Swapping can get colorful.

The power of this feature is easy to miss at first glance. But think about it for a moment and you'll see just how powerful it can be. It can turn a positive black and white image capture into a negative, can "remove" solid color areas from an image almost like a "matte" program, and do any number of things. The "programmatic" nature of the function (being able to set up multiple colors to swap or replace) makes it a very resourceful tool almost without bounds. Things that took you a half hour before (such as dropping out a background) can now happen automatically.

You can substitute one or many colors during this operation. For example, you could change all white pixels (values 255 255 255) to black pixels (000,000,000), and all pure red pixels (255,000,000) to pure blue pixels (000,000,255). "Program" in as many changes as you need by clicking the Add button every time you need a new function.

In addition to changing, you can swap colors by choosing Swap, below the color value boxes, instead of the default Replace. This is like "passing the butter" on the table and giving the "bread" in exchange.

If you're doing a group of captures and want, for example, to have the process you specify here applied to all images, check Automatically apply to all captured images. This is a slick way to have a purple background (for example) cleared away on a collection of desktop captures destined for publication (for example). You can have your purple desktop turned to white (or black) after capture and during the subsequent saving.

Unique Colors - although an image may be defined as a 256 (8 bit) or 16 million (24 bit) color, it may actually only have a limited number of the available colors in use. To view that value here, activate this function.

Guide to color dipping:

If you're about to change the color resolution (also called color "bit depth" of an image, sometimes previewing the unique colors in use may provide a key as to how far down in total color count you can go before the image degrades beyond use. For example: a 256 color image with only 30 colors in actual use can probably be dropped to 16 colors without terrible degradation—but a drop below that would not be desirable and would produce a scratchy-looking dot-filled mess in most cases.


Options menu help

These settings control how the program interacts with your system (for example replacing the default Windows Print screen function), as well as how the program will appear on your computer's desktop and respond to key presses. An exciting feature is the ability to control the program using Microsoft's Voice Command API. For a complete list of available voice commands, click here.

The second item on this menu is simply an "enable/disable" function. It does not load any dialogs, and its functionality is like that of a light switch, really. It's labeled Activate Hot Keys. If this menu has a check next to it, that instance of the program will respond to the appropriate hot keys as defined in the Configure hot keys dialog. If the menu item is un-checked, it means that hot key support for that HyperSnap-DX window isn't enabled.

There's a related toolbar button that serves the same purpose, too. This makes it easy to toggle "on and off" the hot key support. So if you need to use a program for a short period and that program has fixed hot keys, one of which conflicts with one of HyperSnap-DX's, you can disable hot keys, use the other program, close it and then with a single click, re-enable hot keys.

To locate this button, hover the mouse over the toolbar until you see Activate Hot Keys appear in the toolbar tip.

This section of help covers all of the Options menu functions with either a sub-topic accessed by a button, or by brief help right here.

A note about multiple instances:

if you run multiple instances of the program, only one copy can respond to hot key requests. So if you check this menu item (or depress the Activate hot keys toolbar button, or set that option to "on" from the Configure hot keys dialog) on instance number two (for example), instance number one will lose its ability to trigger captures from hot keys. You can toggle it back on again, but this will then disable hot keys on instance number two.

This makes sense if you think about it for a moment.

Activate Voice Commands - NUM Plus - like many powerful tools, HyperSnap-DX has voice command support. Check this to instruct HyperSnap-DX to enable control of the program through Microsoft™ speech recognition technology. This function allows you to capture (and manipulate images) using voice command technology. By speaking the name of a menu item you can activate that item, and thus use the program without keyboard or even mouse access in some cases.

Voice commands may not be available.

The Voice Command Interface (VCI) available in HyperSnap-DX and higher uses the Speech API 5 (SAPI5) programming interface. This interface is a standard component of Office XP and Windows XP. Users of earlier versions of Windows who'd like to use VCI will need to download the voice support components or order a CD from Microsoft and install the required files into their systems.

The minimum set of files necessary for VCI functionality to work in HyperSnap-DX is about 50 MB, so it's a long download, and if you're using a slow modem connection, ordering the CD may be better. DSL users probably won't be bothered by the large file size.

You might want to order our Hyperionics Download-Saver CD for $9.95 plus shipping, which contains both the SAPI5 Runtime and the latest versions of several Hyperionics software products (only fully released English language versions, there is no beta-test code on the CD-ROM). Visit www.hyperionics.com for more information about this.

To learn more about SAPI5, drop by Microsoft's speech technology web pages at: http://www.microsoft.com/speech.

Accessed by the button below is a complete list of available voice commands you can use from within HyperSnap-DX once this feature has been enabled, (and of course the required system components have been installed, too).

If several SAPI5 applications using a similar set of voice commands are running, you must proceed each command with "HyperSnap" to make sure that HyperSnap-DX gets the command. Otherwise your results may be unpredictable.

Control Mouse with Keyboard - this feature lets you drive the cursor for fine operations without using a mouse. You can effect mouse cursor control with only the keyboard. This gives you great pixel-level accuracy when you're drawing, copying, cutting or pasting images within the HyperSnap-DX window.

The following keys become active when the Control Mouse with Keyboard option is enabled:

Arrow keys - move cursor up, down, left or right by 1 pixel.

Tab - hide/show mouse cursor (when cursor obscures part of the drawing you need to see)

ENTER - simulates a left mouse button "down" function. When you press the ENTER key once, the mouse cursor blinks. This informs you that HyperSnap-DX thinks that you're pressing the left mouse button (for drawing, drag-drop operations etc.) even though you don't really have to press the left mouse button.

Now you can move the cursor using the mouse—or the arrow keys—to draw, select or drop what you need with great precision. The mouse is for large moves, and use the keyboard for very fine adjustments you may find difficult with the mouse or trackball. (Such as moving a cropping bounding box out by one pixel just to the right—something that's especially difficult with most mice.)

When you're done with the current function, press the ENTER key again to simulate "left button up" or click the left mouse button for the same thing.

Zoom in/out with CTRL key + mouse wheel - you can turn your mouse wheel (if your rodent has one) while holding the CTRL key to let you zoom in or out of an image. This works like the magnifying glass tool on the drawing toolbar.

Startup and Tray Icon - this sets options for how HyperSnap-DX shows its icon. You have several options for how the system handles the program, and how the program interacts with your operating system.

Check Auto-Start with Windows if you want HyperSnap-DX to always be available. If you've asked it to handle the Window print screen keys, you'll probably want this checked, too.

Check Always start minimized if you don't want to see the interface upon loading, but you want it available as an icon.

Display system tray icon, hide taskbar button when minimized sets the program to conserve space on your main icon taskbar by jumping over to the little rectangular tray area where the clock is. A related option, Do not exit when clicked on "Window Close" X button, prevents you from accidentally killing the program by clicking the X button. It's easy to do this when you really mean to minimize the program, so this is a good option to check,too.

Click OK to establish your startup and icon settings, or Cancel to abort.

Default Image Resolution - use this dialog to establish the default resolution used for captures. You can control the default settings here for all future captures. You also can override these settings during "custom" captures and change them post-capture with the image processing tools on the Image menu, too.

The setting here will be defined as your "starting" point. It defaults to the DPI of your system video driver.

Horizontal Resolution define a value here that provides you with the resolution you require for your application of most images. A good start for SVGA users (1024x768 pixels screen size) is 96 DPI. Users running less than SVGA should probably use 72 DPI.

Vertical Resolution is handled the same way as Horizontal, above, and the two should generally be equal to prevent distortion. However, in the case of your destination being a printer with "non-square" resolution (for example, 600 lines of Horizontal and 300 lines of Vertical) you could pick a non-square value for these two and you'd get good results, because they'd match the printer's capabilities.

Apply to the current image is simply a quick way of applying what you enter here to the image open in HyperSnap-DX at that time and then setting this as the starting values, too. You can also apply this using the Image menu item, Change resolution.

Use as default for future images captured from the screen sets the options you've defined here to be used from now on for all captures. You can override these during post processing if you desire, using the Image menu's tools.

Click on OK to complete your changes and set the values you've defined here.

Image Position and Background - allows you to select a Background Color and Hatch Color and pattern for the portion of HyperSnap-DX window that's not filled with a captured image. You can decide if you like the image positioned in the top left corner or centered, when the capture doesn't completely fill the application's window.

The background color and hatch values could be important when you want to test image transparency. On the Background Color button of the HyperSnap-DX drawing toolbar, you can select one color from the image and make it transparent, so that when an image is saved in GIF format (which supports transparencies) and is later displayed in a web browser window, the web page background will show through the image in places where the specified transparent color exists.

By changing the HyperSnap-DX image background here, you can thus test how this image will look on different colored or textured backgrounds, giving you a better feel for how it will appear on the destination web page when a reader views it.

Office XP Style allows you to toggle between an Office XP-like look for HyperSnap-DX's toolbars and menus, or a classic look for these items. Choose whatever style you like best. The change is immediate and doesn't require you to re-start the program.

Register File Types - this function allows you to set Windows so that when you double-click the selected file types listed here, the system will use HyperSnap-DX to open (and thus view or edit) those specific file types. This allows you to quickly choose which files are sent directly to HyperSnap-DX and which file types are edited or viewed by other graphics utilities you may have.

To have HyperSnap-DX be defined as the program to open (and thus view and edit) any of the listed files, simply check the box to the left of that file type. Once you've closed the dialog, the selected types will be registered with the system as HyperSnap-DX files. The setting change takes place immediately.

Available types the program can associate itself with include: BMP and DIB, GIF, JPEG/JPG, TIFF/TIF, PNG, LEAD (CMP), TARGA (TGA), and WPG (Word Perfect Graphics format). There are two other options to set on this dialog.

Open each file in the same window causes HyperSnap-DX to re-use its currently-open (or first-opened) window rather than opening multiple incidences of itself.

Open each file in a new window causes HyperSnap-DX to open as many incidences of its main window as you need to view the files you are double-clicking.


Tools menu

This menu contains links to user-definable tools you can get from third parties. It is, essentially, a mini "shortcut" menu you can build.

At this writing only one item is added to the Tools menu during HyperSnap's basic installation, and that's a link to an image morphing tool called Morpheus. Users of HyperSnap-DX can get and install a free trial of Morpheus. Follow the instructions on the link to obtain and install this tool, if you wish to do so.

The functions of the tool menu are added from within the Customize Tools tabs, each of which has its own section of help. You can jump to any of them using the links below, if desired. Or open the Customizing the interface help book on the Table of contents and browse through the tab sections there.

Commands tab

Toolbar tab

Tools tab

Keyboard tab

Menu tab

Options tab


Window menu help

Window menu

This menu lets you control how HyperSnap-DX handles open documents. Release 5 has some slick new features that include a tabbed interface, which you access from the main program window. If you open at least two files (why not do that now?) and then look at the bottom of the window, you'll see tabs showing the filenames of each open file.

To work on one of the open files, click the tab corresponding to the file you wish to process. The contents of HyperSnap-DX's workspace will change to show you the new file. This way you can quickly jump between multiple open files. You may also use the standard Windows "switch documents" function keys of CTRL+TAB, too. Pressing CTRL+F4 closes the current file.

Window arrangement items include Cascade, Tile and Arrange Icons. These should all be self-explanatory even for novice users. Below the divider line is a list of open files, with a checkmark graphic displayed to the left of the file currently being edited or viewed.

Close All item on Window menu closes all pictures opened inside HyperSnap window. If you made any changes to the pictures, HyperSnap asks you if you want to save that picture, otherwise it will close the picture without any prompting.

Windows - At the bottom of the Window menu is a powerful function that allows you to manage large lists of open windows by assigning them into groups. Lets say you have eight windows open, but want to close four of them scattered through the list.

  1. Click on the Windows menu Windows item.

  2. Select the windows you want to close, hold Ctrl key to select more than one at a time.

  3. Click the button that says Close Window(s). Just those four will be closed, leaving the other four files or captures available for editing.

You can use this process to switch to the checked window on a list by hitting Activate (or "bring up" from an icon multiple windows), you can use this to Cascade only the selected windows, or perform any of the listed functions on just the windows you wish to manage.

If you've got a lot of windows open and want to "clear the decks" to clean things up, select all of your open files and then click on Minimize. They'll all be sent to the iconic state within HyperSnap-DX's interface.

Between this and the tabbed window controller on the application workspace, you've got very complete control of your working environment.


Help menu help

This section contains links to the file you're reading now, as well as quick links to help contents and searching functions.

Contents - loads the help file at the table of contents tabs. From here you

Tutorials and More - loads program tutorials and advanced guides. The sub-menus offered from this may change dynamically as the program improves, so examine the program's offered items here to see what's available.

Check for New Version - if you're connected to the Internet, the program will see if you've got the latest version. You may download and update to the latest release to benefit from new features, bug-fixes, and other improvements.

Registration and License - license the program or enter your keys here. If you're about to sell your computer, but want to leave a review copy of the program on the system for the next user, you should click the Delete this License button on the dialog that appears from this menu item. That will "un-register" the installed copy.

Equally important, you should back up your license by clicking the Backup this License button. You can copy the license data to a floppy or other location for safekeeping. It's always a good idea to do this, should a hard disk failure or other problem corrupt your system.

Credits - shows the list of Copyright and other credits for the software.

About - shows the version information (important to know if you'll be requesting user support).


Stamps dialog

This dialog and the other tools within it allow you to create stamps that you can apply to your images. Once applied, from within the HyperSnap-DX window, you can "grab" a stamp with the mouse by left-click-drag to place it in whatever location you prefer. (You can even drag it part of the way off of the image if you wish to clip off some of the stamp's contents.) Empty background area that appears under the stamp when you relocate it will be filled with the default background color.

Stamps Folder: - this shows you the current "in-use" stamps folder HyperSnap-DX is pointed to. You can change this using the Browse button. Navigate through your system to locate the folder you would like to use to store stamps.

You can have up to 40 stamps in a folder. If you have more than that, they won't display properly. If you need to have more than 40 stamps total, make folders that allow you to categorize them. Then change the stamps folder the program uses to one of the other folders you've created to load the various stamps you need as you work.

Stamp creation / Edit tabs

The features of New Stamp and Edit Stamp are essentially the same, and are broken out into multiple tabs, all of which are explained below. The only difference between New and Edit is that the New Stamp dialog asks you for a name on the bottom. Edit stamp uses the pre-existing name, and of course you should have selected a stamp within the stamp list prior to clicking Edit Stamp.

Image tab

You may add an image to your stamp here - or you may delete an existing image from a stamp (for example to change it to text only stamp). The image may be loaded from a graphics file, or from the currently opened image in HyperSnap window - in this second case, if a smaller fragment of the image was selected before entering stamps editor, only that fragment will be used on the stamp.

Deep bits.

The bit depth of this image should be equal to, or less than, the image to which your stamp is applied. If you are applying a stamp with a true color background image to a 16 color original, the stamp background (and perhaps font colors) will be altered to match the destination file's format. If you apply a color stamp with color fonts to a gray scale image, then the stamp will be converted to gray scale at the time of application.

Text tab

You may define here the text that will appear on your stamp. You may use different fonts and color, and align paragraphs of text in any way. You may also insert into that text some special macros that will expand to current date and time, file name and path where the image to which you add this stamp is saved, and the currently logged on user name.

Frame tab

Frames are rectilinear objects that HyperSnap-DX can apply around an image applied as a stamp, or you can manually drag the frame to fit within whatever square or rectangular shape you want on top of an image. (Handy for framing an image "within" another, such as a picture of a picture.) On this tab you may set frame color and width (or no frame at all if you enter 0 for the width), background color and transparency of the stamp, it's overall size and relative placement of the stamp image and text within the frame.

Placement tab

Here you may select where to place a stamp when you insert it on an image, for example at the current selection area, bottom right corner etc. A stamp may be also prepened to the top or appended to the bottom of an image, to serve as a "header" or "footer".

Options tab

Other, advanced stamp options may be set here. You may select one of the colors on the stamp to be replaced with target image transparent color (which will mask part of image). You may also decide how to blend the stamp with the original image pixels - have it appear translucent or opaque. Finally, there is also an option box here that decides if this stamp will be automatically added to all captured images or not.


Capture hot keys dialog

Screen capture hot keys dialog

Here you can set the keys that control HyperSnap-DX 5's functions. Most users won't need to change them from the default, but if you wish to (because of a conflict, for example, with another program you're using, or a conflict with a Windows shortcut hot key) it's easy to do.

  1. Examine the list of available functions, and click the button to the right of that function to change its hot key.

  2. When you do this, a box will appear, and with the cursor inside that dialog, press the key combination you wish to use for that function, or press the Backspace or Delete key on your keyboard for "None" (no hot key defined for this function).

    Hot keys must be exclusive to each program that's running.
    This is probably obvious, but make sure that none of the key combinations conflict with other programs you're using, or Windows hot keys used by the system itself (such as CTRL+ESC which opens the Start menu).

  3. Click OK to approve the changed keystroke.

  4. Repeat this process for every function whose key combination you wish to change.


Capture settings tabs

These tabs, accessible from the Capture settings button on the Toolbar, or from the Capture menu item, Capture settings, define the default settings the program will use when you execute screen captures. This section of the help explains each item for the tab set in the order it appears in the tabs.

Before you change a default operation, please make sure you're clear on what that function does and how it will change the way in which the program works. Jot down a note on what you've changed, in case you don't like the results and want to change them back.

As always, the best way to discover what something does is to examine it, change the setting, and re-capture the same screen or window and see how it differs from the previous setting's results. Experimentation will always be the best way to learn what something does, as long as you remember what you changed and what it was previously in case you don't like how it came out.

You can access some of the settings during post-capture processing (for example, cropping and scaling).

Click on the names of each tab displayed to the left to view help about that tab in the pane here.


Capture tab

This tab controls the core capture functionality. You will probably find yourself changing these parameters more than any other settings tab items. You can set here the delay time between the start of capture function and the actual screen capture, whether to include mouse pointer into the capture or not, auto-scrolling of window contents to capture below the screen edge and many more options.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Button tab

This tab sets options related to capturing button controls, such as OK or CANCEL on dialog boxes or other program interface components.

You can select if the captured area should be enlarged beyond the button's edges by the specified number of pixels on each side of the button. This can make the capture look a bit better when pasted into a document, giving you a little "breathing room" around the button graphic.

If you enter negative values, the area will be decreased instead of enlarged.

For example, to capture Internet Explorer 6 buttons together with a 1 pixel black frame surrounding them, set each of the Left, Right, Top and Bottom values to 1 pixel.

You may change all four values by 1 pixel up or down by clicking the [+] and [-] buttons in the middle of the group, or you can reset all values to zero in order to start over by clicking the Reset button.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Crop and scale tab

This tab sets options related to automatic clipping out unwanted parts of your image or automatically reducing/enlarging the image's size.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


View and edit tab

View & Edit tab

Here you can set what happens with each newly captured image. The default is to create a new document window inside HyperSnap-DX to display that image, but you have several other choices: replace the image in currently opened document window (so that previous image is lost, if you did not save it), or paste that new image over the old one in different ways.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Copy and print tab

You can define some specific "paths" captured data can take (in addition to being visible in the program's main window) - such as copy the image to Windows clipboard, and optionally even paste it into another program, or automatically print each new capture.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Quick save tab

This tab contains the settings for one of HyperSnap-DX 5's most powerful features, you can quickly build up a collection of captures (for example, during game play, or during other rapid action) by letting the program automatically save each capture and automatically define filenames for it as it proceeds, or even automatically upload them to a remote FTP server.

You can also enable here automatic timed capture, for example to snap a pre-defined fragment of the screen every 30 seconds and save it to a file or upload to a remote server.

You can always go back later and re-name the files if you want to use different names. A great time saver when capturing a long list of screens for documentation purposes or to illustrate "steps" of operation.

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Quick tutorial

Capture types

HyperSnap-DX 5 offers four types of captures, listed in the table below:

Full screen capture | Captures the entire screen, edge to edge.
Window capture | Captures the exact window you specify (either with or without a window border).
Region capture | Captures a rectilinear region (or multiple regions) which you can define with a "rubber band" bounding box during the capturing process. New to this release is the ability to capture multiple regions, and with the space between them filled by a background color of your choice, and even hand-drawn regions.
DirectX® or Glide® capture | Captures those hard-to-retrieve screens from 3D accelerated hardware image buffers. This function allows you to grab screens from games or 3D development software that—previously—have been impossible to get with other capture tools.

Powerful tools.

Of course, no matter what type of capture you make, you can use HyperSnap-DX 5's post-capture tools to edit, crop, and otherwise alter your image so that it best fits your intended usage.

Click here to read though a typical capture session walk-though.


A capture walk-though

A capture session walk-though

This topic covers the steps of a typical capture session. Try to follow the steps exactly, and be sure to carefully read the procedures marked with the document symbol to avoid errors.

In order to view HyperSnap-DX 5 and your capture's image after you've done it, make sure that the Restore After Capture option under the Capture menu, Capture settings tabs is checked. If it isn't checked, HyperSnap-DX 5 will be minimized (visible only on the task bar) and you'll have to click on it to open it up again.

Let's try capturing a program's window. You can capture this help file's window as your example. But first, make sure HyperSnap-DX 5 is running, then come back to this file.

Tip for the rodent.

When you're in window capture mode, you'll note that as you move the mouse, blinking frame will appear around the window from which the image will be captured. This is your guide as to what the final product will contain. You'll move the mouse to select the window you wish to capture, and left-click to capture it.

To abort it, you'll right-click the window. If, as you move about choosing windows to capture, you notice that the process only selects a "sub-window" within an application, try clicking on the application's title bar, it should force a capture of every "connected" part of that application.

Please read through all of the next steps so that you can use them without referring back to this help file. You can optionally print this tutorial if you haven't already done that.

When you're ready to begin, make sure that HyperSnap-DX 5 is the top-most window. The help engine window you were just reading (this one) should be directly beneath it. Whatever window or area you want to capture should always be visible so you can click on it.

Next select Window or Control from HyperSnap-DX 5's Capture menu. HyperSnap-DX 5 will move out of your way, to the taskbar.

Move the mouse cursor to different sections of the desktop, including over your help file window. As you move it, notice that the blinking highlighted areas change. If you move to an application's Title Bar, that entire application's window is highlighted---take your time and examine the available capture objects you can locate on your desktop.

Once you've highlighted an area you want to continue to experiment with, click your left (sometimes called "primary") mouse button.

  • You can use hot keys to initiate your captures, too. Click Capture menu or right-click the HyperSnap-DX icon at the bottom of Windows screen and examine the menu that appears.

  • Every capture type should show its corresponding hot key next to it on the right.

After HyperSnap-DX 5 takes the screen shot its program window, now including your capture, is restored to the active window position. You can change HyperSnap-DX 5's window size (just like most other programs) if you want to see more of the capture. It may be partially obscured even with HyperSnap-DX 5 is full screen, depending on what you've captured.

Another most frequently used capture function is Region capture. Try it next by selecting Region from the Capture menu or pressing Ctrl+Shift+R hot key combination. Next, when HyperSnap-DX window goes away, click the left mouse button anywhere on your screen, then move the mouse away from your first click spot and click again. When HyperSnap-DX window returns, examine the result of your capture.


Advanced tutorial one

Multi-region capture tutorial

The subject of this tutorial is Multi-region capture. This means, as you've probably guessed, capturing more than one area of the screen, such as two rectangular portions of the same window, or even two different application windows at the same time.

You can use this powerful function for capturing a cascading menu, for example. This is a useful tool when creating documentation for software.

Here are the steps.

Hot key confusion?

Note that if you've changed the HyperSnap-DX 5 hot keys, you'll have to substitute yours for the default keys given here (and as they are given within all examples).

Minimize the HyperSnap-DX 5 window to the task bar.

Open a cascading (that means multi-level) menu in another program. For this example we'll use any Windows Explorer folder. Double-click the My Computer icon and then open any available hard disk drive's folder, and then open any folder that shows at least a few file icons you can use for this purpose. The Program Files folder is useful for this, typically.

Right-click on any convenient file's icon.

Choose File/Send to in order to get the menu open.

Press HyperSnap-DX 5's CTRL+SHIFT+M hot key combination to start multi-region capture.

Click on each menu in turn, plus the main menu toolbar (the one that shows File, Edit...)

Just to demonstrate the power of this feature, we'll add another step: while you're still in Mutli-region capture mode switch into Region mode.

Press and hold the right mouse button, select Region and draw a capture box around the pop-up menu as well as outlining something else on the screen to capture that, too. (For example, outline a data file's icon.)

Press the Enter key on the keyboard to finish this capture.

Examine the content in HyperSnap-DX 5's window, and you'll see all regions captured with the default background color filling the area between them. (The color of this region is user-definable.)

Click here to read about capturing those tricky DirectX or Glide windows (such as from accelerated graphics board game screens).


DirectX or Glide capture

DirectX or Glide capture tutorial

Always tricky to capture properly, DirectX (or the older Glide standard) represents a challenge because the data on the screen isn't really "part" of the Windows desktop. DirectX applications run in "full screen" mode, which means they're more or less like an old DOS program, with simulated "direct access" to the hardware. Getting at their video content can be difficult.

Folks like game reviewers (or even people who just want to show off how good they are at a game) can capture a series of images from an ongoing full-screen game, and they can do so without leaving their game to assign filenames for each file created when you capture a screen. Here's a walk-through.

First open up HyperSnap-DX 5's Capture settings tabs and then click on the Quick save tab. You'll be establishing some settings here before you begin your captures.

Check Automatically save each capture to a file.

Then, if you don't want to use the default filename, click the button labeled Change next to the default filename box. Locate a folder where you want your captures stored, and in the filename box, type in the initial name you want to use. For our example, we'll use TEST.

Close the Save as box, which will replace the name in the Default name box.

Click the box labeled Increment file name, and in the box next to it, marked Start at, enter 1. In the "stop at" box, choose any number you want. In our example we'll pick 100. That will allow you to capture up to 100 images without overwriting any filenames.

To illustrate this, if you set a start and stop at 1 and 100, you'll get files named Test001.bmp through TEST100.bmp. The total number of "counter" digits in the file name is set by the number of digits in the Stop at box. So to get a series starting with TEST01.bmp, use 2 digits, for example "99," as your stop number.

Examine the other values on the Capture settings tabs to make sure they are at the values you desire. (If you've not changed them from the defaults, they'll probably be fine).

Close the Capture settings tabs.

Re-open the Capture menu, and click on Enable special capture...

Here you need to choose what type of capture you wish to make. If your game uses Glide (for example, the older 3dfx hardware) then you should choose 3dfx. If you're not sure, just check all three, if all three are available, or just the top two if the bottom item is disabled. HyperSnap-DX 5 will take care of the rest for you.

Note that if you do not have detectable drivers installed for the hardware in the list, that option will be disabled.

Advanced user?

Advanced users should read the following note: The choices to enable/disable them separately are only for extremely advanced usage and for those "special, difficult-to-handle situations". Example: a game that uses both the DirectX and the Glide interfaces. Sometimes DirectX is only used by the game for displaying the "score" and intro screens. It might use Glide for the actual game action.

It's often not possible to snap the "score" or "intro" screen, unless you disable 3dfx Glide captures. But this doesn't happen often, so avoid carelessly changing these values.

In our example, we'll capture a screen from a Directx/Direct3D game, for example Microsoft's Combat Flight Simulator™). In this case, you'd check the box marked DirectX/Direct3D primary surface.

Pay attention, please!

Watch out for the message that appears when you check the topmost button on the Enable special capture dialog: Please use [ hot key ] as the hot key... You must use as the capture hot key the combination or other key(s) specified here. You can't use the "standard" HyperSnap-DX 5 hot key due to limitations in the system.

If you wish to enable post capture processing of the image, check the box labeled Enable post processing... For more on what this does, see the Direct3D/Direct X Glide section of this file. For now we can leave this unchecked. Examine this section for explanations on the other options available for these special captures, too.

Click OK to enable special capture.

Minimize HyperSnap-DX 5.

Run the desired game. Get to the point in game play that you wish to begin capturing.

Press the specified hot key at the moment you want to capture.

The file will be saved in the directory you specified, using the naming scheme you determined. You can make more captures by repeating the hot key over and over until you have what you need. Be careful not to capture more than the number you established, or you'll begin overwriting filenames!

Exit the game when you're through, and examine the captured files---which you can do by simply pressing Page down and Page up. You may wish to make some adjustments to certain features to improve the appearance of the captures.

See the DirectX Direct3D and Glide Capture section of this file or details on how to improve dark Glide or Direct3D captures, and other technical issues covering special captures such as these.


DVD player capture

Video Player Capture Tutorial

If you want to grab an image from a movie (for example, to use as wallpaper) this feature can do it for you. It works essentially like the feature for capturing DirectX games.

Limitations to video capture.

The video capture will work or not, depending on which video player software you're are using, and if it uses DirectX or not.

Enable Special Capture in HyperSnap-DX 5's Capture menu or as described in the DirectX tutorial.

Click on that item and make sure that DirectX Primary and Overlay surfaces are turned on. Then click the OK button.

Run your video playback software, pause the movie where you want to capture it, click the video player window title bar to make sure it's the front window, then press the Scroll Lock key. (That's the default HyperSnap-DX 5 Special capture hot key. If you've changed the hot keys, use the keystroke you've set for this function instead.)

Click on the HyperSnap-DX window and see what was captured. If you don't see the picture there, most probably your video player software doesn't use DirectX.

If you do see a picture within HyperSnap-DX 5's window, but it has incorrect proportions, or is repeated several times, use the Crop & Scale tab functions under the Capture settings tabs. These tools will let you auto-crop each image you capture (so that only one image remains) and it'll scale it to the correct proportions, too. Experiment a bit to find the settings that work best.

If video capture still doesn't work (for example, you still get a full screen capture with some solid color where the movie was because your player program does not use DirectX), you'll have to choose another video player package. HyperSnap-DX 5 won't be able to capture images from your existing package. For example, for capturing DVDs you should get a player that uses DirectX, such as PowerDVD™, SoftDVD™ or another DirectX-enabled package.

Unsupported pixel formats.

Sometimes you may see a message within the HyperSnap-DX window that complains about an "Unsupported Pixel Format." This means that HyperSnap doesn't know how to decode the picture from the DirectX overlay buffer. If this happens, check the settings and options in your DVD player. See if you can find a setting that disables a function that's often called Hardware Acceleration or sometimes Optimized Video, or something very similar to these. Re-try your capture, it should now work.

Be sure to restore this setting again after you've finished with your captures. Acceleration usually smooths playback during regular "non-capture" play.

If your DVD player doesn't have such a setting, just as in the other examples above, try another DVD player program. A good one is PowerDVD™ from Cyberlink. PowerDVD does have this setting, which can be turned off and on, and several of HyperSnap-DX 5 users have confirmed that they're able to reliably capture good images from DVDs after disabling PowerDVD's Hardware Acceleration feature.

We like it but...

We don't warranty that you will like PowerDVD, nor do we have an arrangement with them whereby we suggest that our users go and buy it and they give us "kickbacks." We mention it here only because our users have freely mentioned to us that they've been able to successfully capture from it. And many have not been able to capture from other popular DVD players. We've looked at PowerDVD, it does a great job overall, and has many terrific options.

It produces great image quality and solid frame rate performance given fast-enough hardware. But if you download it because of our suggestion and then have problems, please remember this disclaimer: we don't warranty it in any way, shape, or fashion. If you have problems contact the vendor, Cyberlink, not us.

Thanks.


Command line usage

These options, useful for advanced programmatic applications such as scripts, can greatly enhance the Power User approach to capturing. For example, you can set up an shortcut icon to perform a pre-set capture using the values you define in the parameters line on the shortcut's properties page.

If you're a Power User, or a user of something like Morrie Wilson's superb WinBatch™, or are familiar with the Windows 2000 or Windows 98 R2 scripting host languages, you can go even further by creating a combination of a programmatic and pre-set application use. For example, you can create a WinBatch script to ask you for the parameters you wish to pass to HyperSnap-DX 5, and it will then use the script to execute the program and pass the desired parameters to it.

As always with every program, you can open a Command prompt and enter a command line:

start/wait hprsnap5.exe [parameters]

or

hprsnap5.exe [parameters]

Where [parameters] are the desired operational values. The prompt will load HyperSnap-DX 5 and pass it the provided command line. You can even use a tool as simple as Windows 2000 or XP CMD files or–in the case of Windows 9x–plain old batch files to utilize special capture settings "on the fly."

If you open a prompt and type the command without using start/wait, you can close the prompt if you wish, or use it for other functions while HyperSnap-DX 5 is processing an image.

Should you elect to use the start/wait parameter, the prompt will stay open cannot be closed or used until HyperSnap-DX 5 is finished. This may be useful in batch files, if your next command must wait for HyperSnap-DX 5 to finish its operation before it can continue.

If you expect to make heavy "production" use of HyperSnap-DX 5, we think you'll want to take a moment to get familiar with the command line functions. The mouse is nice, but for heavy output or batch jobs, you simply can't beat command line control.

In the examples below, the actual command line and options you will need to type are in bold. Comments about the commands or other "tips" are in plain text. The paths to be used are simply examples, use the paths available on your own system. Note that you must type HyperSnap-DX 5's executable name, too, which comes before the parameter, as in the example above. You can't simply open a command prompt box and type, -hidden -quicksave,5000, nothing will happen except that familiar cryptic error message with which we used to be familiar: Bad Command or File Name. If you use Windows 2000 or XP, you might see, "-quicksave is not recognized as an internal or external command, operable program, operable program or batch file."

In any case, change to the folder where you've installed HyperSnap-DX and type its name hprsnap5.exe, or (even better) add that folder to your system's PATH environment. In the latter case you can type the executable name from inside any folder and Windows will locate it for you and run it with the commands you specify.

Finding your path.

If you're not familiar with the methods used to add a folder or directory to your PATH environment, you can find help for this within the Windows help documents. Click on the Start button, then find the system-wide Help function, then search for "Path." It will explain how to add a folder to your PATH, which makes command line use a real joy.

Windows XP and 2000 users can add to their PATH without rebooting, Windows 9x users must re-start their systems to add a new folder to the PATH environment.

- quicksave

Turns on QuickSave option, even if it was turned off in previous sessions or by default.

Additional -QuickSave options can start with timed auto-save. For example, here are some uses with other parameters:

-hidden -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-iconic -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

These examples will start the program with a hidden, iconic or opened window, respectively, and will repeat the snap every 5000 ms (5 sec), increment the file name starting counter at 1 and will stop when the counter reaches 5.

To disable adding numbers to the file name, set the second number in -QuickSave to 0, for example -QuickSave,5000,0,5 will save a capture 5 times to the same file. To disable the max count function (the last number to capture before stopping), set it to 0.

The capture will be repeated indefinitely, or until you press the stop capture hot key (default for which is F11).

-fixed_title

Displays a fixed title HyperSnap-DX only (program will not display the file name or the picture size in the window title bar). This may be needed if you want to "send keystrokes" to the HyperSnap-DX 5 window from Visual Basic or some other applications that require this functionality.

-hidden

Runs the program with its window hidden, so you can operate it only by using the hot keys. You must have enabled Quick Print, or Copy each capture to clipboard in the Capture settings tabs, earlier, or you could use this mode with the Quick save tab's Automatically save each capture... option enabled, too.

Otherwise you won't be able to choose files or direct output to any useful location.

-dumpopts

Read the program's registry entries, and dump them to an INI file in the program's home directory. This is helpful for debugging problems. You can send the INI file in an e-mail to use for .during a user support session should we request it.

-readopts

Read the program's registry entries from the file HprSnap5.INI and then save them to the Windows system registry. A great way to immediately set the program back to all defaults. For example, if you install the program, then run it once, the registry entries will be set to the defaults.

If you then use the -dumpopts option, above, to create HprSnap5.INI, then keep that file in a safe place, should you wish to set the program back to the start-up status, this option will do that in one step. Mainly a technical support tool, as it can repair a corrupted registry entry, too.

-initfrom:filename

You'd use this option when you start HyperSnap-DX 5, for example:

hprsnap5.exe -initfrom:c:\hypersnap\hsdx.ini. A quick method of supporting multiple hot key configurations or other options, such as on systems where multiple users prefer the program to operate differently. If you create a shortcut that loads the program using this switch and a valid INI file you've created with the -dumpopts setting, it's painless to have the program set up differently for many users on the same machine.

Changes you make to its settings in this case do not go back to the registry (as is normally the case) but they are written back to the INI file name you used to load it. This thus keeps a discrete setting set apart from the default.

-snap

Capture a screen (or a portion) one time only, to immediately print or save it, and then exit. The HyperSnap-DX 5 window isn't displayed. This option takes several sub-options you must separate with a colon. Here are some examples.

HprSnap5 -snap:x60:y150:w200:h100 -save:bmp test.bmp

:x is X pixel coordinate from which to start the capture, counted from the left. If omitted, 0 the program will assume 0, the absolute left-hand of the screen.

:y is Y pixel coordinate from which to start the capture, counted from the top. If omitted, the program assumes you want a value of 0.

:w is width of the area to capture, in pixels. If omitted, the program assumes the area from :x to the right edge of the screen should be captured.

:h is height of the area to capture, in pixels. If omitted, the program will capture the area from :y to the bottom of the screen.

:window allows the user to select with the mouse the window to capture.

:region allows the user to select with the mouse a rectangular region to capture.

:awin will capture the currently active window, including frame and title

:acli will capture the currently active window without the title and frame (called the "client area").

-open:[filename]

or

-open [filename]

This option will run HyperSnap-DX 5 and open the specified file (if it exists, and is in a supported graphics file format). It will then perform the action set by any following command line options, such as -print or -save—perhaps in a different format as a quick way to convert one format to another, for example.

You can use this to print several graphics files in batch mode or to translate quickly between varying formats. The program exits when all prescribed operations are complete. Here are a few examples:

To translate test.bmp to test.gif:

hprsnap5.exe -open:test.bmp -save:gif test.gif

To print test.jpg file to the default system printer:

hprsnap5.exe -open test.jpg -print

-scale:[percent]

Scale (resize) the image captured with -snap command line option or opened from a file, by the percent factor specified. For example:

hprsnap5.exe test.jpg -scale:50

This will open test.jpg file scaled to 50% of its original size, and:

hprsnap5.exe -open test.jpg -scale:50 -save:jpg test.jpg

This will open test.jpg file, scale it to 50% of the original size, save to the same file name and exit immediately. This latest form could be used to scale an entire directory of images with the for command of the Windows batch language. Here's an example:

for %f in (*.jpg) do start/wait hprsnap5 -open %f -scale:40 -save:jpg:q95 %f

This will resize all JPEG images in the current folder to 40% of their current size and save them under the same names with 95% JPEG quality setting, overwriting the originals. To have the files saved in another folder, and preserve the originals, you could specify the folder after -save such as -save:jpg:q95 c:\temp\%f.

This command could also translate the format. For example opening JPEG files, but saving to PNG instead. In this case the last part could be:

-save:png c:\temp\%f

-print

This function was designed to be used after -snap to force the printing of the captured picture. It takes several sub-options, all of which must be separated with a colon.

:l print in Landscape mode. Default is portrait

:inv invert black and white

:bw print black and white colors only

:fr draw a frame around printed picture

:sNN scale, where NN is % of the image size, the default being 100%

:af auto-fit the picture to fill the whole page (but preserving the aspect ratio)

pd display Print Dialog, to select the printer etc.

Prints to the default printer if :pd omitted. Here's an example:

hprsnap5.exe -snap -print:l:fr:s75

This example will snap the whole screen and print the resulting capture in landscape mode, with a frame, and scaled downward to 75% of the original size.

-save

This was designed to be used after the -snap option to save the file to a supported file format. The very next argument must be the filename to use for the saved data, including the extension. For example, snap.bmp, snap.gif, and so forth.

Here's a list of possible formats as well as some examples using them:

:gif save as a GIF file

:gif:i save as Interlaced GIF file

:jpg save as JPEG file with the default output quality of 75%

:jpg:qNN save as JPEG file with quality NN% (replace NN with a number such as 90, representing image quality factor).

:jpg:p save as progressive JPEG file (you can add :qNN)

:bmp save as BMP file (this is the default, and may be omitted). Bitmap pixel depth is the same as your screen's.

:bmp:c1 save as 1 bpp bitmap

:bmp:c4 save as 4 bpp bitmap

:bmp:c8 save as 8 bpp bitmap

:bmp:c24 save as 24 bpp bitmap

The program accepts other file types as -save formats. Here's a complete list of all file types accepted during this command. These values should appear after the : in the command line:

bmp, gif, jpg, tif, cmp, cal, fax, eps, img, raw, ica, pict, mac, msp, pcx, ras, tga, wfx, vfm, wpg, png

With all of these file types, the following options are accepted, if valid for a given file type. If an option is not valid for that type, it will be ignored by the program:

:a append the picture to the specified file, if the file format permits this. For example, GIF and TIFF files support appending frames to an existing file.

:c1, :c4, :c8, :c24, :c32 represents the color resolution to use, in bits per pixel.

:i, :p tells HyperSnap-DX 5 to save the file using either interlaced (GIF) or progressive (JPEG) format.

:qNN quality in %, valid for jpg and cmp files. The larger this number, the higher quality the final file will be, but the file size in bytes will be larger, too.

Here's more examples. Snap the whole screen and save in BMP file in the directory c:\tmp\:

hprsnap5.exe -snap -save c:\tmp\test.bmp

Snap portion of screen, save as 8 bit per pixel bitmap in the current DOS directory (be sure you know where this is, or you'll "lose" your file!):

hprsnap5.exe -snap:x50:y80:w200:h100 -save:bmp:c8 btm.bmp

Snap the whole screen, save to GIF file called test.gif:

hprsnap5.exe -snap -save:gif test.gif

Snap the whole screen and save it to a JPEG file with 85% quality:

hprsnap5.exe -snap -save:jpg:q85 test.jpg

-onewin

If you run a second copy of HyperSnap-DX with this switch, it will only activate and bring to front the first copy, and the second one will exit. If you run a second copy like this:

hprsnap5.exe -onewin filename

it will cause the first copy to load the picture stored under the specified filename and then activate or bring to front that copy. The second copy, after sending the appropriate command to the first instance, will exit.

-defprn:prn_name

This command makes HyperSnap-DX 5 use a printer other than the "system default" as its default printer. The "prn_name" part must be the exact same name as listed in your system Printers folder. The entire command must be enclosed in double quotes if the name contains any spaces. If the name is one solid block without spaces, you can skip the quotes.

For a local printer name that includes a space:

"-defprn:HP 2000C"

For a network share printer name without space:

-defprn:\\gandalf\hp855c

-ra

Sets the program to restore advanced options to defaults when the program is restarted. These advanced options currently include Capture Settings, Crop & Scale enable mode, and View & Edit selection. Normally restoring these options in other than their default state can confuse novice users of HyperSnap-DX, so you use this command line argument to help prevent confusion.

-exit

Causes HyperSnap-DX 5 to exit after it's finished with the requested operation. For example, -snap without the -save or -print commands. Normally HyperSnap-DX would stay running (with its window opened or hidden) in that situation. By using -exit you force it to quit when its tasks are done.


Voice command list

You can use the voice commands listed here within HyperSnap-DX. If you encounter problems, go to Windows Control Panel and locate "Speech Properties" or a similar icon.

  1. Click Configure Microphone... to adjust your volume levels and the other settings of your microphone.

  2. Then click the "Train" or "Train Profile..." button there, to train the speech recognition engine to recognize your voice better.

  3. Also try speaking more slowly and more clearly. Voice support is still a work in progress, and computers still require speech commands be delivered a bit more clearly and at a slower-speed than we humans do.

Make sure you use a high quality microphone. Like all current speech recognition technology, this one requires a respectable pause between all commands in order for them to process. The faster your computer, the faster you'll be able to speak the commands, to a certain point. The more background noise you have in your work area and the worse speech commands will perform, too.

Say Capture or Snap, and optionally add the, followed by any of the following items:

  • Full Screen

  • Desktop

  • Window

  • Active Window

  • Active Client

  • Region or Rectangle

  • Mulit Region

  • Pan Region or Move Region or Pan Rectangle or Move Rectangle

  • Repeat

Drawing Tools Commands

  • Say Take or Get, and optionally add the, followed by:

  • Line

  • Pencil

Miscellaneous Commands

  • Microphone off

  • Activate or Restore (to restore and bring the HyperSnap-DX 5 window to the front)

  • Minimize or Iconize (to send it to the system tray or task icon list)

  • Maximize

  • Help or What can I say? (displays brief help which has links to this file)

For users with physical limitations, speech technology offers new-found freedom and will allow many for the first time to be able to use our program with relative ease.

To print this topic, right-click this window and select Print.


Customizing Hypersnap's interface

Customizing HyperSnap-DX interface

The Customize command on the View menu lets you set the program's user interface so it works the way you want it to. For example, you can define which toolbar buttons are shown, add new buttons from any available functions, customize menus by re-arranging them, hiding or changing items, customize the keyboard shortcuts, and establish the overall look and feel of the toolbars and menus.

You can even drag the menu off of its location on the top of HyperSnap-DX's window and use it as a free-floating tool, or attach it to any side (or the bottom) of the program's window. To do this, left-click and hold the little gray bars you see at the top of any menu, and then while holding down the left button, drag the menu away from the edge of the application workspace. You've now got an instant floating menu palette, which you can position virtually anywhere you want.

Customizing toolbars and menus...

If you right-click any toolbar button or menu item while the Customize tabs are open, you'll see a menu there that contains various functions.

Reset to default - sets the button back to its originally-shipped values and options.

Copy button image - copies the button image to the clipboard for use across the system.

Delete - removes a button from the toolbar. If you do this by mistake, you can recover it by going to the Commands tab and dragging that function up to the bar and dropping it. See the Commands tab for more help about adding buttons to menus or toolbars.

Button appearance - loads the Button Appearance editor. You can from there select how this button appears. Define items such as whether or not it shows Image only, Text only, or Image and text together. There's a checkbox marked Use Default image which sets the button to use the standard image for that function.

Image - use a picture only for the button.

Text - use only descriptive text for the button.

Image and text - use both image and descriptive text for the button's appearance.

Start group - adds a divider to the toolbar before the currently-selected button. This allows you to arrange buttons in visual "sections" that may contain specific types of functions between the lines that divide groups.


Hypersnap-DX's toolbar

HyperSnap-DX toolbars

HyperSnap-DX 5—like all modern applications—can be mouse-driven for many operations. It's got a powerful toolbar which the user can fully customize.

The toolbar replicates most menu functions, but the buttons provide quick "one-stop shopping," letting you get into the basic features of the program without having to dig open the menus and navigate through them. To see what a button does, hold the mouse over it for a moment and brief help will appear, explaining that button's functions. You can alter the appearance of the toolbar buttons by right-clicking any button when the Customize tabs are open, too.

The painting tool palette contains tools you can use to draw on your image or otherwise manually modify it. Some of the tools have a drop-down arrow that lets you select from varying properties for that tool. Click on these tools within the actual program interface to examine the possible properties offered for these tools. Just as with the main toolbar, hold the mouse over any button to see the familiar "tool tip," which will explain what that button does.

The magnifying tool on the palette in the main toolbar lets you zoom in and out of the image for a better look at details (or to see an image larger than the program's current workspace size). It has several zoom levels in addition to Auto, which will cause the image to be reduced to fit the current application workspace as best as is possible.

It's a drag.

The toolbar, painting palette, and menu can all be dragged away from their docked positions and placed where you want them to go, on any side of the program, or floating freely, if that's your choice. You can customize the toolbar, or menu so each contains only the buttons you want, and ordered in the way you prefer.


The Commands tab

This tab supplies the categories of available toolbar buttons on the left, and the graphical representation of these on the right. You add a desired button from any of the categories by dragging it up to the place on the existing toolbar where you'd like it to be. An I beam tool will appear showing you into which gap the button will be dropped.

You can drop the button between any existing button, or on either end if you'd prefer. Below the list of buttons is a description for what the currently-selected button in the list will do when you click it during work.

You can edit the main program menu in virtually the same way. Select a function to add to a menu, and drag the graphic for that command to the HyperSnap-DX 5 menu. The menu below the mouse cursor will "open up," and you can then drag the graphic up and down to locate the item where you'd like it.

A horizontal ][ beam graphic will appear so as to display the final location of the added item when you drop the graphic.

Release the graphic when the I beam is where you want the new menu item to appear, and HyperSnap-DX 5 will add the function at that location.

The Commands tab allows you to quickly build the toolbar you want by dragging and dropping the buttons you choose onto your toolbar. (The drawing palette can't be changed, though, in this release.)

  1. Highlight the category you wish to work with from those available on the left, and the rightmost pane will change to reflect buttons available within that category.

  2. Click on the button you wish to add, and drag and drop it into the position on the program's bar where you'd like it to go.

  3. Continue through the various categories until you've got the buttons you want.

To remove buttons you don't want from the application's toolbar:

  1. Click and hold on that button and drag it completely off the HyperSnap-DX 5 user interface.

  2. A little X will appear on the bottom of the button's graphic below the mouse, showing you that you cannot drop the button there and have it work. (That's okay, you're removing it.)

  3. Let go and the button is now gone.

  4. If you make a mistake, you can re-add the same button from the applicable category by dragging it from the category list and back onto the bar.

Once you're finished adding or removing buttons, click on the Toolbars tab. Here you can completely hide any of the visible toolbars by removing the checkbox next to the bar's name. The toolbar has its own help section. Click the button below to read about it.

Clicking the Close button will close the entire set of Customize tabs, establishing all of your changes on each as the settings the program will use.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


The Toolbar tab

The Toolbars tab

Toolbars - this list allows you to show or hide the available toolbars. Clear the checkmark to the left of the bar name to hide the bar, or check the box to display it. Note that clearing the mark doesn't delete the bar, or any changes you've made to it, it simply instructs the program to not display it. For example, you might want to maximize your available screen real estate by hiding the bar temporarily, or you may not like toolbars at all.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


The Tools tab

This tab lets you add plug-ins or program "connections" to HyperSnap-DX Tools menu interface.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


The keyboard tab

Keyboard tab - you use this tab to set keyboard "shortcuts." First select a Category to edit (these are the topmost-level menu items on HyperSnap-DX 5's menu). Then select a Command from the list on the left, click in the box labeled Press new shortcut key, and then press the key or key combination you'd like to use. Note that if you type a key combination that is already used by another command, you will see that command listed below the "Assigned to:" heading, and you can not re-assign that combination to the new function.

If the menu item currently has a shortcut key assigned to it, this will be displayed in the Current keys box (you can change it if you wish simply by assigning a new key combination to it using the entry box, below the Current keys box).

You choose which menu you'll be setting shortcut keystrokes for by dropping down the Set Accelerator for... list. On new installations the only available item there will be Default, the main menu structure. Use the Assign button to specify the keystroke you've entered in the box as the keystroke to be used for the selected Command in the Command list.

To assign a new key to a command:

  1. Click in the Press New Shortcut Key field.

  2. Press the key combination you want.

  3. If that combination is available (that is, not used by other commands), you can click the "Assign" button, and then proceed to customize any other keys you wish to change.

The button labeled Remove will clear the currently-selected function's keystroke (if you've discovered a conflict with another piece of software, clearing it will help that problem until you can pick another key to use).

The button Reset All sets the program back to its default keystroke combinations, clearing those that did not have a keystroke assigned to them. Note that all of your changes will be lost if you Reset All.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


The menu tab

The Menu tab lets you customize the menu. When you open this tab, you can set certain aspects of menu appearance (animations and shadow). You may also click any menu and drag its items to rearrange them, or drag them off the menu to delete them, or right-click a menu item to change the text for it, etc. In addition, you can drag a menu away from its default attachment point altogether.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


The Options tab

This tab lets you customize the look and feel of HyperSnap-DX menus and toolbars.

There is more help...

To read more help about each control in any dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


> More help about cropping

While activated, the following additional useful options apply, and will be shown in a small window as a reminder. Toggle these off using F1 or by un-checking the capture option Show help and zoom area during region capture.

F1: Toggle help text and zoom on/off

Arrow keys: more pointer by one pixel

Shift-Arrows: move pointer by 10 pixels

CTRL-Arrows: move pointer to the capture or image edge

ESC or Right Button: abort operation

Enter or Left Button: accept this position

+: hide/show mouse pointer

X, Y: Lock/Unlock X or Y axis movement

Once the first operational anchor point is established, these tips are added:

-: hide/show rectangle size in pixels

Tab or Home: switch rectangle corner

The points are picked upon release of the left or primary mouse button. Press the left mouse button, hold it down, move out of HyperSnap-DX's window, and then release the button.

This will pick the nearest edge of the image, or a point of the value (0, 0) if you go to the left and top of the HyperSnap-DX window.

Important boundaries.

HyperSnap-DX 5's window does auto-scroll if you try to drag a selection with left mouse button held down beyond the edge of the programs' window. You can also resize the program's window or use the scroll bars to adjust your view and make cropping more convenient without losing your selection. The selection edge markers will reactivate as you move your mouse back into the HyperSnap-DX 5 main window.


More help about region captures

More about region captures

While region capture is activated, the following additional useful options apply, and will be shown in a small window as a reminder. Toggle them off by using F1 or by un-checking the option Show help and zoom area during Region Capture. You can read about this setting by clicking the button below, which takes the main help window to the Capture settings tabs section.

.

Use the mouse or the following keys during region capture:

F1: Toggle help text and zoom on/off

Arrow keys: more pointer by one pixel

Shift+Arrow keys: move pointer by 10 pixels

CTRL+Arrow keys: move pointer to an edge

ESC or Right mouse button: abort operation

Enter or Left mouse button: accept this position

+: hide/show mouse pointer

X, Y: Lock/Unlock X or Y axis movement

Once the first anchor point is established, these tips are added:

-: hide/show rectangle size in pixels

Tab or Home: switch rectangle corner


More help about resolution

The resolution setting does not affect the appearance of an image in the HyperSnap-DX 5 window.

The default resolution is to keep the original image size in printing. Pasting to other documents should usually be 96 DPI for high resolution monitors (800 X 600 or higher setting) and sometimes 72 DPI for low monitor resolutions. However sometimes this value may need to be modified to make the image appear in the desired size once you've applied it to the program or document.

This function is accessible via two different ways.

In the Options menu, Default Image Resolution displays and sets the default resolution for all images that you will subsequently capture.

In the Image menu, the Change Resolution / Image Resolution dialog displays the resolution of the image currently displayed within the HyperSnap-DX window.


Capturing a drop down menu

This covers the sometimes "tricky" method of snagging a capture of a program's menu. The menu usually "goes away" when you switch away from a program, or press the HyperSnap-DX hot key, right? Here's how to grab a copy of a program menu.

  1. Send HyperSnap-DX to the taskbar by minimizing it.

  2. Use one of the program's other hot keys (for example, Region or Window capture) to get the menu captured---it shouldn't disappear then.

Or...

  1. If the menu still does disappear, you can press the Print screen key on your keyboard to send the entire desktop to the Windows clipboard.

  2. Now, place the shot into HyperSnap-DX 5 by using the Edit / Paste menu selection. Using the Crop tool will let you select the portion of the image you need.

You're all set, you've captured the menu.


Hiding HyperSnap-DX during capture

Yes, it's possible to completely hide the program...in fact, it can even start to feel just like a part of Windows rather than a stand-alone application.

  1. Set HyperSnap-DX's options to Copy each capture to clipboard from the Copy and Print tab of the Capture settings tabs.

  2. Un-check the box Restore HyperSnap-DX window to front after capture under the Capture settings tabs.

  3. Now, go to your word processor or other application and proceed with your work.

  4. When you need a capture, use the appropriate HyperSnap-DX hot key.

The options selected will cause the capture to be sent to the Windows clipboard, so you can simply paste it into your document whenever you need it.

Now what was that key..?

If you need a reminder for which hot key to press, click on HyperSnap-DX 5 in the task bar with your right mouse button, and select the type of capture you want. The menu will also show you the hot keys beside each function.

To print this topic, right-click this window and select Print.


Running multiple instances of HyperSnap-DX

Sure, you can run multiple instances of the program. In fact, this is a powerful way to support different capture settings and different types of captures during a single session, and to cut and paste data between different documents.

But there are a few things to remember when you do this.

Only one copy of the program can respond to hot keys, which is logical if you think about it.

The program's final values for "operating options" is defined by the last copy that was closed during a multi-instance session. This copy will write out changes to the program's registry upon exit, overwriting any previously-written values.

Only one chunk of data at one time can go on the standard Windows clipboard. So if you wish to use the clipboard to exchange data, remember that if you go to instance three to copy something, but previously copied something to the clipboard in instance one and have not saved it to a file, you'll destroy the first data instance one sent to the clipboard.


Glossary of technical terms

This documentation uses many technical terms that users new to computers may not know. In order to help novice users better employ this software (and perhaps even get a more firm grasp on computing in general) we've included this glossary of terms.

Computer users, especially advanced ones, toss a lot of jargon about. It's part of the process of making sure the listeners belong to their social group. (It's also why doctors say, "ibid" when they mean "per day" on your prescriptions.)

To read about a term, just click on that term and a bit of information about it will appear. We hope the glossary improves your knowledge of computers, and helps you take better advantage of our software, and of your computer.

Note: this topic is only available in English, even though it might be included in translated versions of the documentation.

3dfx
A maker of previously advanced video chipsets and video boards used to rapidly draw 3D content onto your screen. These include the Voodoo product line and other products. They're not active in the market at this writing, but many 3dfx boards are still in service.

API
Short for "Application Programming Interface." It means a way for a programmer to make requests of the system in order for it to execute his commands. Used by DirectX and Direct3D for example, which are sets of APIs for fast graphics delivery and fast 3D graphics rendering, respectively.

Bit depth
The amount of colors a picture contains, typically limited to the values of 1, 4, 8, 16, 24, and 32, representing monochromatic, 16 color, 256 color, 16 million colors, and "true color" format. Files with 24 bit color typically can display more colors than most people are able to detect.

BMP (bitmap image format)
A file format developed by Microsoft to display image content. It is a non-compressed, fairly space-wasting format that's used for wallpaper, and also for user-interface graphics such as toolbar glyphs. The biggest advantage to this format is that it loads fast into most applications supporting it, and it supports virtually all color depths.

Border
Refers to the region "around" an application window. It's the area you "grab" onto with your mouse when you want to size a window.

Button
A control device used by software to actuate a function. It may appear to actually "depress" when clicked, which is an illusion caused by the operating system.

Caret
The Caret is a programmer's term that usually means the area or control where "focus" or what user interface control you are currently interacting with, is located. It can be any number of things, but mainly it means the "active control." See Control.

Chroma
Refers to "color" or the color "palette" of an image, and sometimes to the color "balance" of an image when used slightly incorrectly. The "chroma" of an image is a compressed reference to its chromatic content, or it's "color content." See Gamma, below, for reference to its white/black content.

Clipboard
A place where Windows stores data when you mark an area of an image and select Edit / Copy or use the CTRL+C shortcut keys. Windows uses a special data format for the clipboard that makes it possible for it to store all sorts of things, both graphics and text, or even mixed formats that contain both (for example, a Word document's page with a chart on it). Sometimes called a "metafile" this format is quite powerful. Some people say that the biggest improvement over DOS that Windows has ever offered was the power of the clipboard. Now applications can share data (and even dynamically through embedded objects, yet another type of technology). Like all powerful graphics programs, HyperSnap-DX makes use of the clipboard and can both read data from it and write data to it, in several formats.

Color depth
The same as "bit depth," essentially. Refers to the amount of colors in an image. Most modern systems run in what's called "high color" or are at least able to display 16,000 plus colors. Many run in "True color" which is typically used to define a color bit depth of 24 or 32 bits.

Color palette
The "table" of colors used to draw an image. In some formats, this may be limited to a certain range (for example, GIF files are "palette-based" images. Each pixel contains, essentially, a pointer to a certain "place" in the palette. If you change the palette, that pointer will now direct the pixel to a different color. This is called "palette-shifting." The larger the palette, the more colors the image can display. Not all image types use palettes, some contain within their pixel data a direct color reference rather than a "lookup" value.

Control
A class of user interface management devices used on software (such as a button or list box) that allows you to make the software "do" things. Everything you "touch" with your mouse on software (buttons, lists, checkboxes) are called "controls" by programmers.

Crop
To cut a region from an image, or to trim off excess material from around a more desirable area. Sometimes incorrectly used when the word zoom is a better choice (to "crop in" on an object, for example, is not really accurate). Think of "harvesting crops," which means when you're done cutting, the region harvested (such as the corn) is no longer in the field (in this case image). How about that analogy?

Cursor
The pointing device on your Windows screen. It may be an arrow, or something else. It provides a way for you to interact with software "controls" and make the system behave the way you wish it to. (Well, most of the time.) You click on things using the mouse cursor, and you type things using the keyboard cursor (that flat thing that moves usually from right to left within WordPad, for example).

Desktop
The background of your Windows screen. It's the area where you put shortcut icons that are not in your Start menu, and the area where you may apply wallpaper, if you have done that. It's also sometimes called the "background," but that's not really accurate.

Direct3D®
An accelerated display technology developed by Microsoft. The idea behind it was to provide a collection of API programming tools for game developers that allows them to create 3D content without having to directly access the display hardware.
This is something Windows likes to prevent for reasons having to do with operating system stability.

Directory
An older term for something Microsoft now calls, and previously Apple called, a Folder.

DirectX®
An accelerated sound, video, and game controller technology (set of APIs, see that above) developed by Microsoft. It allows game and other software developers to have high-speed, closely-timed access to the hardware like they used to have within DOS, but without direct access to the hardware, something not desirable within a multitasking operating system.

Dithering
No, it's not wasting your time playing Solitaire, it's a process of applying one of several specific dot patterns (such as Stuckey or Floyd-Steinberg, to name two) to an image. This is usually to attempt to make an image reduced in color bit depth (see Bit depth) to appear more closely like the original. The idea is that dots next to each other can affect how the group of dots appears, and by adjusting the patterns, the final effect may "simulate" colors that are no longer present within the image.

DPI (dots per inch)
The number of pixels the image has per inch of content. The higher it is, the higher we say its "resolution" is. An image with 300 DPI that is 300 pixels across will print out at 1 inch on the page of a printer with 300 DPI resolution. The relationship can be changed by other settings, but basically this refers to a device's capability (such as a screen or printer) or the data format of the file itself, which may contain a DPI specification in order to enhance its printing properties or viewing characteristics.

Drop-down
This is a control in Windows where if you click a downward-facing arrow, you're presented with a list of possible choices or functions. These might be file format choices (see HyperSnap-DX 5's Save as dialog, for example) or a list of hard drives on your system when saving a file.

FAQ
Shorthand for "Frequently Asked Questions" and often refers to a list kept by software manufacturers or others who are tired of answering the same old questions. They send curious users here first to save time.

Best tip for today: read any FAQ page put up by a vendor BEFORE contacting that vendor!

File format, File type
The actual low-level data-type used by the image or other type of file in question. In our case, it might be JPG, GIF, BMP, and so forth. It refers not to the "look" of the image (for example, a "Portrait" format image) but rather to the binary encoding method used to create the file on your hard disk. The program used to open (view or otherwise handle) that file must be able to decode the "file format" in order to operate on the file.

Not all graphics programs can open all file types, and there are dozens of them out there, many of which are pretty much obsolete (such as the old PC Paintbrush PCX format, which is rarely used).

Folder
Another name for a directory. It's where you put files. Long-time users still call it a directory, and pretty much ignore the term "folder." It's a good way to tell how long somebody has used a computer, actually. See if they call this directory a folder or a directory.

Gamma
The "brightness" content of your image. Not the same as just "brightness," but the balance of white to black on the overall image. An image with high gamma may appear very bright, but also may appear washed out, even "faded by the sun." An image with low gamma may appear "blocked up," and difficult to see.

GIF®
Graphics Interchange Format. A file format developed by CompuServe and used a lot on the Worldwide Web and elsewhere. It is a palette-based format that supports no more than 256 colors, and it best for images containing solid-color areas. JPG is superior for most photographic content, and you should use that format for photographs or variable-tone image content. If in doubt, use JPG or BMP if disk space consumption and/or network transmission speed isn't an issue.

Glide™
A technology developed by 3dfx for displaying 3D gaming or other content. It's a programming interface that allows game developers to write to 3dfx hardware more easily. It's not in active development at this writing anymore, but is still present in older systems or hardware using 3dfx video boards.

Hard disk (formerly Winchester drive)
A spinning metal platter (sometimes multiple platters) that's inside virtually all computers and used to store data. This is compared to "floppy disk" even though they've not been "floppy" for years. Hard disks are much faster and more reliable than the nearly useless 1.44 format "floppy" disk. Most modern systems may have up to four Hard disks added to them if they contain sufficient space inside their cases to add them.
Way back at the invention of hard disks, they were called "Winchester drives," being named for their inventor. A huge array of platters that weighed in at about 200 pounds held perhaps a megabyte or less—not even the capacity of a modern 1.44 floppy disk! It's common now to find tiny 2 inch wide one-quarter inch thick laptop drives with ten thousand times that much and more. Science marches on.

Hot key or Hot-key or hotkey
A term referring to a special key combination that can cause a program to perform a specific operation or process without taking multiple steps. HyperSnap-DX 5 uses them to trigger screen captures of various types. Also sometimes called a "shortcut key."

Hue
The balance of colors within an image. Refers to the relationship of the key colors of an image, just like how the "tint" control works on televisions works. Hue refers to the "cast" of the colors in the image. Hue can sometimes be restricted to RGB hues (for example, saying an image has a Red, Green, or Blue casts) because many file formats are considered to be RGB-based.
There are other formats, typically used in printing, called CYM for Cyan, Yellow, Magenta, for example.

Icon
The little picture on your desktop, start menu, or a program's toolbar that's used to identify the program or function that will launch when you click it (or double-click it). For example, the icon for Internet Explorer is usually a blue E.

INI file (or initialization file)
A special file used by some software to hold important settings and other information. Windows itself used to be entirely built from the settings within two INI files, SYSTEM.INI and WIN.INI, but with the release of Windows 95 the system began to be based on the more fragile (but more powerful) database-format "registry." HyperSnap-DX 5 can use INI files, see the help section "Command line usage" for more information about that.

JPEG (or JPG or JPE)
The "true" extension for JPG, a common file format used for photographs, and throughout many web pages. It can be a true-color format, has the option of superb file compression (reducing size massively) and can produce very tiny files that still look quite good for most purposes.
Overall, the JPG file is a superior format to most others for general bitmapped image work, unless you need a discrete object-based format such as Ulead's UFO format, or Corel Draw's CDR. HyperSnap-DX doesn't work with object-based formats at this writing, however.

List
Within Windows, the items that appear when you click a "drop-down" button or other user interface control and are given some choices. HyperSnap-DX 5 uses a list within the Save as dialog for possible file format types (for example).

Luminance
Often referred to as the "brightness" of an image, it's the overall "light" within an image or scene. If you turn up or down the brightness of your television set, you're affecting the luminance, but not the color of the image. Gamma, above, represents the effect of luminance values on the image.

Maximize
Here it refers to the behavior of an application within the Windows desktop. When it's "maximized" it means it has been set to be "full screen" and it's the only application you can see at that point, unless you "switch" to another using the keyboard. It covers the entire desktop, all of your icons, and all other programs except for (in most cases) the task bar, which can be set to "stay on top" of any maximized window.

Memory
Sometimes refers to RAM, which is the chip-based storage space your computer uses to make its calculations. Its best not to use "memory" to mean hard disk space, you can confuse technical support staff. Say, "hard disk space," and "RAM," or "memory" for the system's running data storage space.
It's best to stick with the exact technical terms for both.

Minimize
Means an application's window has been "sent down" to the task bar or (in the case of HyperSnap-DX 5) to the system tray area where the clock lives. To get access to a minimized program, you must Restore it. Try the right mouse button on HyperSnap-DX's system tray icon, and the left, and see how they differ.

Monochrome
A black and white image. Not to be confused with "grayscale." Black and white is often used incorrectly, for example Black and white photos from a camera are actually grayscale photos. A true black and white image is made up only of dots of either black or white, with nothing else. How tightly they are packed, or how loosely, creates the illusion of other shades. A newspaper photograph may actually be Monochrome, it depends on how it's printed. The newspaper printer then sizes the dots, or makes smaller dots crowd together, to simulate varying grayscale value. But all dots and spaces are either black or white, making them monochrome.
Examine a newspaper photo with a magnifying glass and you may see only larger or smaller black or white dots, giving at a distance the effect of black, gray, or white colors, which then appear as grayscale. Many big city newspapers have switched to color and many more are finally using true grayscale, though.

Overlay
A technology where a software application, like a DVD player, will "paper over" part of the Windows screen with the "active content" it is providing, such as the moving frames of a film delivered via the DVD. It will use its window space to directly write content to the screen, bypassing Windows itself for this. Overlay functions are common with desktop TV tuners and DVD players, all of whom must show data at a rate much faster than Windows would be able to do, so Windows lets them "clip out" a region and then handle it themselves.
Capturing such a window is very difficult as the data is "private" and must be carefully decoded.

Palette
The table of colors used by certain image types, just like an artists palette might be. Such types include GIF, for example. These files contain "pointers" to a location on the palette rather than actual pixel color values. If you change the palette, the image will change right with it, perhaps looking very weird. Sometimes the palette is stored internally, and in other (rare) cases, the palette can actually be loaded from another file and applied to the image itself, dynamically changing how it appears. This is called a "palette shift."
Think of it as each pixel as a house in your neighborhood. If you change that home's address to "yellow," it re-paints the house yellow, too. It's as simple as that, more or less.

RAM (sometimes "memory")
Techno-babble for Random Access Memory. It's the chip-based storage space used by your computer to run itself, and to execute programs. Generally, the more you have, the faster things run. It's best to call this RAM and not "memory," to avoid confusion. A good rule of thumb when building a system is this: More RAM is better.
Buy as much as you can afford, Windows and your programs will thank you for it by running better and faster.

Rectilinear
A region defined within a rectangular or straight-edged space. The box you draw when you crop an image is usually rectilinear in nature. It's a fancy way of saying "rectangular," in some cases.

Region, as in "Region capture"
To capture one or more "regions," or areas of your screen, application, or desktop. It means to only pick a part of what you can see rather than all of it. A useful tool when you only want to capture the important part of the screen. These can be rectangular (or rectilinear) or freehand, using HyperSnap-DX.

Resize (or Scale)
This means to change the dimensions of an image (not its resolution, which means dots per inch). For example, changing a bitmap from 320 X 200 to 640 X 480 would be a 2X resize. Sometimes confused with "resampling," which applies advanced techniques such as anti-aliasing to prevent the "jaggies," and may also alter resolution, too. A simple resize just changes the dimensions to those you want.

Resolution
The resolution of an image is its dimensions in relation to its DPI values. An image of high resolution means it can contain "fine detail" and typically has a high DPI value as well as a high pixel count. A low resolution image typically has a low pixel count, and a low DPI value. Screen resolution is usually very low, only 96 DPI. Some printers are now printing well above 1,000 DPI. This means if you send an image that covers 1 inch of your screen to this printer, it's only going to cover a tenth of an inch on paper.

Restore
Here means to "bring back" the window of a minimized application, like HyperSnap-DX. To Restore it from the System Tray, you can right-click its System tray icon, and pick Open HyperSnap-DX. (You can also choose from other menu items, too. Take a look.)

Saturation
Refers to how much "color" is in an image. A highly saturated image contains a lot of color, and may appear to be "overly-colored." Think of it as if it were paint on a brush. A brush dipped into paint only lightly will produce strokes of light color. A brush that's saturated will produce rich, thick color.

Scale (or Resize)
Refers to changing the dimensions or resolution of an image. This can be to make it print larger, smaller, or appear on the screen smaller or larger.

System
A common term to refer to your computer, or the operating system itself used to "run" the hardware of your computer (such as your display, your printer, and your hard disks). It's a generic term, used to cover both the hardware or the operating system, or both working (with any luck) in unison.

System tray
A feature of Windows 95® and later Microsoft® Operating systems where you see a small recessed area in the taskbar that shows you a clock, and sometimes many other icons. This allows you to keep your eye on running applications without them hogging space on the main taskbar. HyperSnap-DX 5 can be set to minimize to the system tray if you like.
See the Options menu, Startup and Tray Icon menu item. Check Display System Tray icon... and also the option below, probably, Do not exit when X button... That will prevent you from closing it accidentally during long work days.

Taskbar or Task Bar
A feature of Windows 95® and later where icons are no longer minimized to the desktop, as they were in previous 3.x versions, but are sent to this window-within-Windows. Here's a usability tip: you can grab any blank area of the taskbar (a part not occupied by a program icon) and drag it up to the TOP of your desktop. If you do this, you'll save a lot of mouse motion. Because most applications have their menus at the top, you'll only have to move the mouse a short bit to get to the taskbar rather than making a huge motion all the way from the menu to the bottom of the desktop.
Try it for a few days, you'll like it after you get used to it.

Toolbar
Sometimes called "button bar," it's a row of icons within a program that contains buttons. When you click the buttons, the application will perform various functions. With most programs (including HyperSnap-DX 5) if you hold the mouse still over a button you'll see some brief help for that button's function.

Truecolor or True color
Commonly used to refer to files that contain 16 million or more colors. This number of colors (and beyond) is essentially more than the human eye can see, so supporting more in a file format isn't practical or even logical. A true True color file is usually 24 bit or higher, and may contain area transparency information, too.

Video buffer
Your computer's video board has some chips on it where it stores data it needs to display images on your monitor. In the case of 3D accelerated hardware, this data buffer may contain entire screens or huge "chunks" of screens as well as complex texture data (such as for games, which may render brick walls, for example, in 3D). HyperSnap-DX 5 is able to "grab" data from this buffer when it captures Direct3D screens, for example.
By storing the data here, rather than re-calculating it again and again in memory, the video board is able to quickly re-supply the image content much faster than if it had to re-create it from scratch each time it was needed by the active software generating the images.

Wallpaper (also called Desktop)
This is the name of images that some people apply to their Windows desktop. To change your wallpaper, right-click your Windows desktop on any blank space (not on an icon) and pick Properties. There's a Background tab, and from this tab you can choose from available files to use as wallpaper.
Changes to the operating system may alter this procedure somewhat, but it should remain similar.

Web
The shorthand name of the Worldwide Web, the thing on which we are all wasting far too much of our time. But it's a great place to find superior software tools such as HyperSnap-DX 5...so I guess it's of some value.

Window
The rectangular or square place where a Windows application displays its data, but also in a technical sense, every part of that application is called a window. Programmers know that Windows itself calls every button, toolbar, and so forth a "window," and even gives each of them a "window name or window handle." Because of this, HyperSnap-DX 5 is able to capture even the smallest of controls, because they are all "windows" in that way, and it can get their names—and then their content—from the system individually.

Window capture
This means to capture the entire window of an application, including its border (usually) and title bar. Such captures will not show the desktop, wallpaper, or other programs.

Windows
This can mean either the programs you run, as these create "windows," or it can mean the operating system on which you are running your programs, trying to get some work done in the process. There have been many versions of Microsoft Windows®, going all the way back to 1.0 (which nobody used) through 2.x (which about fifty-six people used) and on to the current versions, Windows ME, 2000, and Windows XP Pro and Home.
The latter versions dominate computing around the world, running about 90% of the world's PCs by some estimates, much to the chagrin of the Mac and Linux folks who are jealous of Windows' "undeserved success." Of course that's just sour grapes. Windows is a tool like any other, and succeeds or fails on its usefulness or failure to be useful.
Many people think the best version "ever" (so far) is XP Pro.


User support

Before contacting us for technical support, please check first the "Frequently Asked Questions (FAQ) list at our web site. The answer to your question may be already there! Click below to access the FAQ page right from within the help system.

http://www.hyperionics.com/index.asp?Page=hsdx/hs4faq.htm

Support for HyperSnap-DX is always close at hand. An E-mail message will get the quickest response. Be certain to provide as much background information as possible. To send one, just click E-mail message, above, and the process should start on your system. (If you don't have an Internet connection or "registered" E-mail application, this may fail.)

Include (at least) the following information if you encounter a problem with the software:

  1. Your operating system, for example Windows XP Professional or Windows 2000.

  2. How much RAM your computer has installed (sometimes called "memory" but different from "hard disk space," something about which many novice users get understandably confused). If you don't know how to check this, open an Explorer window (not Internet Explorer, Windows Explorer) and select Help/About. It should show you a listing on the bottom of the dialog: Physical memory available to Windows. That will give you the RAM, but not swap file, available to the system for most versions of Windows.

  3. Your computer's CPU and speed (for example, Pentium IV, 2GHZ).

  4. Your video card's manufacturer, color depth, driver version, and resolution. You can usually find this information by right-clicking the wallpaper area on your desktop, picking Properties, and then examining the tab that's called Settings. A typical setting might report, "1024 X 768" with the color drop-down listing, "True Color." You sometimes can get driver version information by clicking the Advanced button that may appear on the Settings tab. Driver features vary, but look around the tabs presented by the driver, you'll probably find it.

  5. A concise description of the problem and exactly what you did to get it to happen. If you can get it to repeat at will, please give us every step from beginning until the end, that will help us replicate your problem. Explain it so we can re-create it here, and we'll do our best to find out what causes it and get back to you with a possible solution.

Monster E-mail alert.

Please don't E-mail graphics with whom you had problems, or huge screen captures, or other large items unless we request them. Please wait for us to do this before sending large images in your support requests. And when you do send them, please use a standard Zip format compression utility.

We welcome your suggestions and comments. E-mail ideas for new features, improvements, or other subjects to support@hyperionics.com.

If you have problems getting to us via the Internet, or you don't have net access (for example you got the program from a PC Magazine or other shareware CD-ROM), you can always mail your questions or comments to us.

Send your mail to:

Hyperionics Technology, LLC

3146 Chestnut Street

Murrysville, PA 15668, USA

And visit our World Wide Web site to download our latest releases, read important announcements, and find out more information about HyperSnap-DX 5 and our other fine products:


Internet addresses

Home page: http://www.hyperionics.com

Frequently asked questions: http://www.hyperionics.com/index.asp?Page=hsdx/hs4faq.asp

Download the latest version: http://www.hyperionics.com/index.asp?Page=hsdx/downloads.asp

Purchase licenses: http://www.hyperionics.com/index.asp?Page=hsdx/purchase.asp

Technical support forum: http://www.hyperionics.com/index.asp?Page=Forum

Technical support email: support@hyperionics.com

Sales email: sales@hyperionics.com

General information: info@hyperionics.com


Repairing a damaged installation

If something has damaged your HyperSnap-DX 5 installation, you can repair it using the procedures here.

  1. Click on the Start menu, then Settings, then Control Panel.

  2. Double-click on the Add Remove Programs icon in Control Panel.

  3. Scroll through the list until you see the entry for HyperSnap-DX 5. Once you locate it, click on the button Add / Remove.

  4. A dialog will appear asking you to confirm this operation and offering three selections: Automatic, Custom, Repair.

  5. Choose Repair. The installation may request the contents of the original archive file that you downloaded or received on CD, depending on whether or not files are missing.

  6. Follow the prompts that appear and the installation will be automatically repaired, and all missing files will be replaced.

User interface changes.

Depending on your Windows version, the Add/Remove feature may be labeled or arranged slightly differently, for example Windows 2000 shows it as "Change/Remove."

Virus problem?

If the program has been damaged by a virus, you should remove it and then completely re-install the program from "scratch" to remove the viral infestation. In addition, make sure you've scanned the archive itself, and your system, prior to installing, in the event that you did not get the HyperSnap-DX archive directly from our server.


Uninstalling HyperSnap-DX 5

If you're reading this because you've had a problem with the program and have decided to remove it, please stop! Before you remove it, please contact us and tell us what the problem was, perhaps there's a simple solution for it. We want to hear about it and we want to help you solve it so you can successfully use HyperSnap-DX 5.

Contact us at User support.

If you're reading this because you've bought a new machine and want to sell your old system (and properly so, you're removing your licensed software so as to not violate your single-user license), removing the program is exceedingly simple. Follow the directions below.

If you wish to repair a damaged installation see the help for that.

  1. If the program has terminated abnormally (and that's why you're removing it) first re-start Windows. Then after it's back up, click on the Start menu, then Settings, then Control Panel.

  2. Double-click on the Add Remove Programs icon in Control Panel.

  3. Scroll through the list until you see the entry for HyperSnap-DX 5. Once you locate it, click on the button Add / Remove.

  4. A dialog will appear asking you to confirm this operation and offering three selections: Automatic, Custom, Repair. If you wish to remove the program, choose Automatic and press Next.

  5. The uninstaller will remove the program and all icons, shortcuts, etc. from your system. Note that if you changed the icons in any way (for example moved them to a new group or re-named them) they will not be removed. You'll have to do that manually.

  6. Any files you've created and left in your HyperSnap-DX 5 folder will remain behind, and in which case you will have to manually delete these.

User interface changes.

Depending on your Windows version, the Add/Remove feature may be labeled or arranged slightly differently, for example Windows 2000 shows it as "Change/Remove."


Who made HyperSnap-DX?

This section lists the people behind the software, and provides a tip 'o the hat to others who helped in special ways during HyperSnap-DX's development. Without the support of our users and their suggestions, HyperSnap-DX 5 would not be as good as we think it is.

Was designed and written by Greg Kochaniak of

Find out more at: http://www.hyperionics.com

Program documentation and some custom help system graphics were created by Todd Henschell of

E-mail him at: the_scrazner@hotmail.com or visit:

http://home.pacbell.net/scrazner

Special thanks to the following people:

Mark Anderson, http://www.yeardley.demon.co.uk

Samuel N. Ceccola, http://www.jspcservices.com

Mike Healey

rap@aci.net

Martin Sperlich


Copyrights and trademarks

HyperSnap-DX 5 is marketed as a fully functional trial version. Its only limitation is that the screen captures it makes are "branded" to indicate you are using it during a trial period. After thirty days of use you must license this software to continue to use it legally.

Registration is important.

If you don't register the software, it must be removed from your system before the thirty day period of usage expires or you are in violation of our copyright.

Your permission to use the software in order to examine it is strictly limited to this fixed period.

Failure to follow these rules as laid out here is a violation of copyright laws in the U.S. and other countries.

The following copyrights and trademarks are the property of Hyperionics Technology, LLC, and All Rights are Reserved.

HyperSnap-DX, and Hyperionics

All associated documentation and written materials that accompany this program are the property of Hyperionics Technology LLC, and are Copyright (c) 2000-2002.

Written documentation for this program was created by Dangerous Cybernetics™ and contains original graphics used by Hyperionics with license. These graphics may not be extracted and used by any other parties or individuals for commercial or any other purpose.

Anyone distributing the shareware version of HyperSnap-DX 5 for any kind of remuneration must contact Hyperionics Technology LLC—prior to including it within any distribution media—at our declared address for authorization.

Hyperionics Technology, LLC will automatically grant such authorization to distributors recognized by the (ASP) as adhering to its guidelines for shareware distributors. Such distributors may begin offering HyperSnap-DX 5 immediately without prior contact to gain permission.

No other party besides Hyperionics Technology, LLC is authorized to grant permission for vendors not recognized by the ASP, and such permission must be requested by, and will be granted by, writing. (Such writing might be E-mail or via FAX or via traditional mail, it depends on the method the vendor uses to contact us, of course.)

However in any case, and with all vendors, Hyperionics Technology, LLC must still be advised that the program has been made available to the public so that the distributor will always be provided with up-to-date versions of HyperSnap-DX. Upon receipt of the latest version, all vendors are to replace their previously included versions with the latest version in order to keep their permission current.

Other copyrights

Other Copyrights and Trademarks (such as DirectX®, Direct3D®, 3dfx™) as they may be used within the program's user interface or throughout this help system are the properties of their respective owners, and as such, have no connection with Hyperionics Technology, LLC whatsoever.


Ombudsman Statement

Hyperionics is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help.

The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please contact the ASP Ombudsman on-line at: http://www.asp-shareware.com/omb.


Disclaimers

Disclaimer agreement

Users of HyperSnap-DX must accept this disclaimer of warranty in order to use the project. By licensing it, you specifically and by your purchase agree to accept the terms of use specified herein.

HyperSnap-DX 5 ("the program") is supplied, "as is." The author disclaims all warranties, expressed or implied, including, without limitation, any warranties of merchantability or fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of HyperSnap-DX. User assumes all liability with respect to usage of the program and recognizes that under no circumstances will Hyperionics Technology, LLC be held accountable for any loss of data, work product, time or productivity that may occur as a result of their usage of said program.

Translated: if HyperSnap-DX 5 eats that rare bitmap proving the extraterrestrial origin of the Bermuda Triangle, (you know, the one that you were going to sell to a tabloid paper?), or it turns all of your images bright purple or deep orange with purple streaks and little yellow stars scattered across them, or it causes strange problems with other software or hardware that, upon examination, begin to resemble interference from alternate dimensions (perhaps the product of aliens accessing our space from the 10th dimension, or the violent spatial brutality of the 27th dimension intersecting with our space-time), no matter what...we're not responsible for the results.

Nor will we provide compensation in any manner or fashion for same.

We'll feel very badly, indeed, about those purple images and that lost Bermuda Triangle photo. And of course the dimensional tear that originated in your hard disk will cause us a great deal of worry, the 27th dimension has been on our mind for some time, we're sure parts of Windows code come from there, but we will not be held responsible for these events.

Thank you for your understanding.


Singer-user license terms

License to use this program is provided only upon our receipt of payment of the required fee, and such license does not give the user a right to disassemble, reverse-compile, reverse-engineer, or otherwise examine the trade secrets contained in the program. Your registration numbers or your registered version of the software should not be distributed to any third party.

This software remains the property of Hyperionics Technology, LLC and is used only under revocable license.

Your license covers the version or versions of the software as specified at the time you received it. All versions of the same "master" number (for example, 5.0, 5.5, 5.7—all 5.anything) are covered by your license. If you download and install a "point" release and need a new number because of changes to the program, please see the sections of this file regarding User support and contact us. We'll provide you with a free upgrade to the "point" release.

Your license, should you purchase one, is similar to that of a book. You may use it on as many computer systems as you may own (be that one or two hundred). However the way you use the software should be such that only one copy at a time may be in use at one time by the licensee.

For example, many folks have a desktop and a laptop. You may install HyperSnap-DX 5 on both and license both copies, but you may not use the program on your laptop and your desktop at the same time. Think of it as you would a book: you can read it anywhere you like, but you can only read one copy of it at a time.

Hyperionics is a member of the Associate of Shareware Professionals and follows the bylaws as set down by that organization.


Site license types and terms

License to use this program is provided only upon our receipt of payment of the required fee and your receipt of the proper license numbers.

Note to site license users: HyperSnap-DX 5 is supplied as is. The author disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The author assumes no liability for damages, direct or consequential, which may result from the use of HyperSnap-DX. User assumes all liability with respect to usage of the program and recognizes that under no circumstances will Hyperionics Technology, LLC be held accountable for any loss of data, work product, time or productivity that may occur as a result of their usage of said program.

We offer two types of site licenses that cover varying types of usage, and one or the other should suite the purposes of medium to large business usage.

Limited area site license - purchasers of this type of license may use up to 500 copies concurrently, for their employees/associates located at one physical location.

Larger site and world-wide license are quoted upon request.

Medium to big company?

We'd like to encourage all corporations looking for a site license to purchase the second site license type, which will greatly simplify their use of the program. It simply isn't that much more to have complete freedom of usage, and administration costs in order to track the legality of your corporations usage will probably exceed the difference between the license types.


Hyperionics address

Hyperionics Technology's official address

Send any written communication to info@hyperionics.com or:

Hyperionics Technology LLC

3146 Chestnut St.

Murrysville, PA 15668

USA


dialog_image_effect_tool

Image effect dialog

This dialog allows you to apply an effect or process to your image. There are several of these that are very similar, and are self-explanatory. They contain a slider control that allows you to set the degree of effect (for example Shear, or Mosaic tile size), and other controls that define how the effect will be applied to your image.


Dialog Tip

There is more help...

To read more help about each control in this dialog box, please click the [image] button at top right corner. The mouse cursor changes then to [image] - now click any other item in that box to find out what exactly it does.


Licensing HyperSnap-DX 5 via softwrap

The copy of HyperSnap-DX you are currently running can be licensed and purchased via Softwrap. To buy your license, please close and restart HyperSnap-DX. It will then display "Softwrap Purchase Wizard", where you may click "Buy It" button to complete your purchase. For more information, please visit us at:

http://www.hyperionics.com/hsdx/Softwrap.htm


Licensing HyperSnap-DX via uniloc

The copy of HyperSnap-DX you are currently running can be licensed and purchased via Uniloc. To buy your license, please close and restart HyperSnap-DX. It will then display a purchase wizard, where you may click a "Buy" button to complete your purchase. For more information, please visit us at:

http://www.hyperionics.com/hsdx/Uniloc.htm


The stamps tool

Not used in this version.


Who is a power user?

Who might be called a Power User? Good question.

It's somebody who knows more than you or I do, no matter how much you or I might know. We usually know a Power User when we see one. And he or she knows things we simply can't comprehend or don't want to take the ten years of reading we'd need to get it stuffed into our poor brains.

Power Users are often amazing folks. But...the first step of becoming one (in case you want to do so) is to learn to use the keyboard—instead of the rodent—to run your software. And that means learning these command line tools!

Enjoy HyperSnap-DX.